void *malloc(unsigned long);
typedef unsigned u;

static const u prog[];
static const u prog_size;
static u root[];
static const u root_size;

enum { FORWARD = 27, REDUCING = 9 };

enum { TOP = 1<<24 };
u *mem, *altmem, *sp, *spTop, hp;

static inline u isAddr(u n) { return n>=128; }

static u evac(u n) {
  if (!isAddr(n)) return n;
  u x = mem[n];
  while (isAddr(x) && mem[x] == 'T') {
    mem[n] = mem[n + 1];
    mem[n + 1] = mem[x + 1];
    x = mem[n];
  }
  if (isAddr(x) && mem[x] == 'K') {
    mem[n + 1] = mem[x + 1];
    x = mem[n] = 'I';
  }
  u y = mem[n + 1];
  switch(x) {
    case FORWARD: return y;
    case REDUCING:
      mem[n] = FORWARD;
      mem[n + 1] = hp;
      hp += 2;
      return mem[n + 1];
    case 'I':
      mem[n] = REDUCING;
      y = evac(y);
      if (mem[n] == FORWARD) {
        altmem[mem[n + 1]] = 'I';
        altmem[mem[n + 1] + 1] = y;
      } else {
        mem[n] = FORWARD;
        mem[n + 1] = y;
      }
      return mem[n + 1];
    default: break;
  }
  u z = hp;
  hp += 2;
  mem[n] = FORWARD;
  mem[n + 1] = z;
  altmem[z] = x;
  altmem[z + 1] = y;
  return z;
}

static void gc() {
  hp = 128;
  u di = hp;
  sp = altmem + TOP - 1;
  for(u i = 0; i < root_size; i++) root[i] = evac(root[i]);
  *sp = evac(*spTop);
  while (di < hp) {
    u x = altmem[di] = evac(altmem[di]);
    di++;
    if (x != 'F' && x != '#') altmem[di] = evac(altmem[di]);
    di++;
  }
  spTop = sp;
  u *tmp = mem;
  mem = altmem;
  altmem = tmp;
}

static inline u app(u f, u x) {
  mem[hp] = f;
  mem[hp + 1] = x;
  hp += 2;
  return hp - 2;
}

static inline u arg(u n) { return mem[sp [n] + 1]; }
static inline u num(u n) { return mem[arg(n) + 1]; }

static inline void lazy(u height, u f, u x) {
  u *p = mem + sp[height];
  *p = f;
  *++p = x;
  sp += height - 1;
  *sp = f;
}

static void lazy3(u height,u x1,u x2,u x3){u*p=mem+sp[height];sp[height-1]=*p=app(x1,x2);*++p=x3;*(sp+=height-2)=x1;}

static inline u apparg(u i, u j) { return app(arg(i), arg(j)); }

static void foreign(u n);

static void run() {
  for(;;) {
    if (mem + hp > sp - 8) gc();
    u x = *sp;
    if (isAddr(x)) *--sp = mem[x]; else switch(x) {
      case 'F': foreign(arg(1)); break;
      case 'Y': lazy(1, arg(1), sp[1]); break;
      case 'Q': lazy(3, arg(3), apparg(2, 1)); break;
      case 'S': lazy3(3, arg(1), arg(3), apparg(2, 3)); break;
      case 'B': lazy(3, arg(1), apparg(2, 3)); break;
      case 'C': lazy3(3, arg(1), arg(3), arg(2)); break;
      case 'R': lazy3(3, arg(2), arg(3), arg(1)); break;
      case 'V': lazy3(3, arg(3), arg(1), arg(2)); break;
      case 'I': sp[1] = arg(1); sp++; break;
      case 'T': lazy(2, arg(2), arg(1)); break;
      case 'K': lazy(2, 'I', arg(1)); break;
      case ':': lazy3(4, arg(4), arg(1), arg(2)); break;
      case '#': lazy(2, arg(2), sp[1]); break;
      case '=': num(1) == num(2) ? lazy(2, 'I', 'K') : lazy(2, 'K', 'I'); break;
      case 'L': num(1) <= num(2) ? lazy(2, 'I', 'K') : lazy(2, 'K', 'I'); break;
      case '*': lazy(2, '#', num(1) * num(2)); break;
      case '/': lazy(2, '#', num(1) / num(2)); break;
      case '%': lazy(2, '#', num(1) % num(2)); break;
      case '+': lazy(2, '#', num(1) + num(2)); break;
      case '-': lazy(2, '#', num(1) - num(2)); break;
      case '.': return;
      case FORWARD: return;  // die("stray forwarding pointer");
      default: return;  // printf("?%u\n", x); die("unknown combinator");
    }
  }
}

void rts_reduce(u n) {
  *(sp = spTop) = app(app(n, '?'), '.');
  run();
}

#if __has_attribute(export_name)
void rts_init() __attribute__((export_name("rts_init")));
#endif
void rts_init() {
  mem = malloc(TOP * sizeof(u)); altmem = malloc(TOP * sizeof(u));
  hp = 128;
  for (u i = 0; i < prog_size; i++) mem[hp++] = prog[i];
  spTop = mem + TOP - 1;
}

static int env_argc;
int getargcount() { return env_argc; }
static char **env_argv;
int getargchar(int n, int k) { return env_argv[n][k]; }

#define EXPORT(f, sym, n) void f() asm(sym) __attribute__((export_name(sym))); void f(){rts_reduce(root[n]);}
int putchar(int);
int getchar();
int getargcount();
int getargchar(int,int);
static void foreign(u n) {
  switch(n) {
case 3: {u r = putchar(num(2)); lazy(4, app(arg(4), app('#', r)), arg(3)); break;}
case 2: {u r = getchar(); lazy(3, app(arg(3), app('#', r)), arg(2)); break;}
case 1: {u r = getargcount(); lazy(3, app(arg(3), app('#', r)), arg(2)); break;}
case 0: {u r = getargchar(num(2), num(3)); lazy(5, app(arg(5), app('#', r)), arg(4)); break;}

  }
}
static const u prog[]={81,37,81,47,81,42,81,45,81,43,140,75,67,142,84,63,138,46,138,46,84,150,152,43,35,1,81,76,81,61,81,76,81,61,164,166,66,75,168,170,66,75,172,84,66,75,176,178,66,75,180,182,66,75,184,84,66,186,66,75,190,192,66,75,194,198,66,196,66,75,200,84,66,202,66,75,206,208,66,75,210,75,66,75,214,218,66,216,66,75,220,224,66,222,66,75,226,84,66,67,230,232,66,75,234,84,66,236,66,75,240,244,66,242,66,75,246,84,66,248,66,75,252,256,66,254,66,75,258,262,66,260,66,75,264,268,66,266,66,75,270,274,66,272,66,75,276,84,66,67,280,282,66,75,284,286,66,75,288,290,66,75,292,84,66,294,66,75,298,300,66,75,302,304,66,75,306,310,66,308,66,75,312,84,66,314,66,75,318,320,66,75,322,326,66,324,66,75,328,332,66,330,66,75,334,84,66,336,66,75,340,342,66,75,344,346,66,75,348,75,66,75,75,352,75,73,75,75,358,75,66,75,362,372,66,364,66,366,66,368,66,370,66,67,374,382,66,376,66,378,66,380,66,67,384,390,66,386,66,388,66,67,392,396,66,394,66,67,398,84,66,67,402,84,66,67,406,84,66,67,410,84,66,67,414,416,66,75,418,420,66,75,422,424,66,75,426,428,66,75,430,84,66,75,434,436,66,75,438,440,66,75,442,444,66,75,446,448,66,75,450,84,66,452,66,75,456,460,66,458,66,75,462,466,66,464,66,75,468,472,66,470,66,75,474,480,66,476,66,478,66,75,482,488,66,484,66,486,66,75,490,84,66,67,494,498,66,496,66,75,500,504,66,502,66,75,506,512,66,508,66,510,66,75,514,520,66,516,66,518,66,75,522,528,66,524,66,526,66,75,530,84,66,67,534,536,66,75,538,542,66,540,66,75,544,548,66,546,66,75,550,554,66,552,66,75,556,84,66,558,66,75,562,566,66,564,66,75,568,572,66,570,66,75,574,578,66,576,66,75,580,584,66,582,66,75,586,84,66,588,66,75,592,596,66,594,66,75,598,602,66,600,66,75,604,84,66,67,608,612,66,610,66,75,614,620,66,616,66,618,66,75,622,84,66,67,626,630,66,628,66,75,632,84,66,634,66,75,638,640,66,75,642,644,66,75,646,84,66,75,650,652,66,75,654,656,66,75,658,84,66,660,66,75,664,666,66,75,668,672,66,670,66,75,674,84,66,676,66,75,680,684,66,682,66,75,686,690,66,688,66,75,692,84,66,694,66,75,698,702,66,700,66,75,704,708,66,706,66,75,710,84,66,67,714,716,66,75,718,84,66,720,66,75,724,728,66,726,66,75,730,84,66,732,66,75,736,746,66,738,66,740,66,742,66,744,66,75,748,756,66,750,66,752,66,754,66,67,758,764,66,760,66,762,66,67,766,770,66,768,66,67,772,84,66,67,776,84,66,75,780,84,66,782,66,75,786,84,66,75,75,790,75,73,75,75,796,75,66,75,84,73,84,73,84,804,75,73,84,75,84,810,75,73,84,75,84,73,818,820,66,84,84,822,70,0,70,1,70,2,84,830,70,3,834,84,66,67,838,842,66,840,66,75,844,84,66,67,75,73,850,814,66,852,67,854,856,858,66,66,860,808,66,66,864,868,66,866,82,75,870,802,66,872,66,66,84,160,84,156,84,158,84,154,884,890,66,886,66,888,82,792,892,904,83,894,896,898,66,83,900,798,66,902,66,83,906,912,66,908,66,910,82,794,914,920,66,916,66,918,82,788,922,798,66,67,926,928,66,84,930,942,66,932,67,934,936,938,66,66,940,73,82,75,944,960,66,946,67,948,950,952,66,66,954,956,66,66,958,73,82,846,962,1004,83,964,966,968,66,67,970,974,66,972,66,66,976,980,66,978,66,67,982,988,66,984,66,986,66,66,990,996,66,992,66,994,82,846,998,882,66,1000,66,1002,82,75,1006,924,66,798,1010,73,82,75,1014,73,82,1016,75,73,1020,1022,66,84,66,832,1026,1028,66,84,67,1030,1032,832,66,66,1036,1038,82,75,1040,73,82,846,1044,800,66,1046,66,1048,66,1034,1052,73,82,75,1056,73,66,1058,82,846,1062,1064,66,84,1066,1094,66,1068,67,1070,1072,1074,66,83,1076,1090,82,1078,1080,1086,82,1082,75,1084,75,846,1088,73,82,75,1092,73,66,66,1096,1112,66,1098,67,1100,1102,1104,66,66,1106,1108,66,66,1110,73,82,846,1114,1148,83,1116,1118,1120,66,67,1122,1126,66,1124,66,66,1128,1132,66,1130,66,67,1134,1140,66,1136,66,1138,66,66,1142,800,66,1144,66,1146,66,1054,1150,1060,66,800,1154,1172,83,1156,1158,1160,66,66,1162,1164,82,75,1166,1170,82,1168,35,0,800,874,1174,1182,66,1176,67,1178,1180,73,82,75,1184,1192,66,1186,67,1188,1190,836,66,66,1194,1196,66,1152,1198,134,82,1200,35,1,1204,84,66,67,84,1208,1210,1214,66,1212,1202,75,66,784,1218,1238,82,1220,67,1222,1224,1228,66,1226,1202,75,67,1230,1232,1236,66,1234,1202,75,66,784,84,784,1242,1248,82,1244,67,1246,1202,75,84,784,1252,1260,66,1254,83,1256,1258,84,66,67,1262,1250,83,1264,1266,1268,66,66,1270,1272,66,67,66,66,1276,1286,1250,1278,75,1280,1282,136,82,1284,35,1,35,0,1290,1324,83,1292,1294,1296,66,67,1298,1302,66,1300,66,67,1304,1310,66,1306,66,1308,66,1250,1312,1316,66,1314,66,66,1318,1322,66,1320,82,836,67,848,1326,812,82,75,1330,1348,66,1332,67,1334,1336,1338,66,67,1340,1344,66,1342,66,1250,1346,862,66,66,1350,812,82,75,1354,1360,66,1356,66,1358,66,67,1362,812,66,1364,67,1366,1368,1370,66,67,1372,1376,66,1374,66,1250,1378,1384,66,1380,66,1382,66,67,1386,1388,82,67,1390,1392,66,66,1394,1396,66,66,1398,802,66,66,1402,1422,82,1404,1406,1418,82,1408,1410,1414,82,1412,66,86,1416,67,66,66,1420,67,66,66,84,86,1426,1428,82,67,84,86,84,1432,1434,86,66,1436,808,1400,1440,1444,1442,1424,1328,1400,1446,73,66,828,1450,1452,66,138,1454,1456,82,46,1458,1462,66,1460,862,1424,1464,1470,82,1466,828,1468,35,10,1472,1438,66,1474,862,1424,1448,1478,1480,1484,58,1482,35,117,1486,1490,58,1488,35,110,1492,1496,58,1494,35,100,1498,1502,58,1500,35,101,1504,1508,58,1506,35,102,1510,1514,58,1512,35,105,1516,1520,58,1518,35,110,1522,1526,58,1524,35,101,1528,75,58,1530,35,100,1534,1542,66,1536,83,1538,1540,73,82,146,1544,1548,66,1546,66,75,1550,1554,66,1552,66,75,1556,1564,66,1558,66,1560,1562,73,1202,1476,1566,1568,82,75,1570,1572,66,1250,1574,1580,66,1576,66,1578,66,784,83,1202,1584,1586,66,67,1588,1590,82,73,1592,1594,66,1250,1596,67,66,1598,66,1600,67,66,1604,1582,66,1606,67,1608,1610,73,82,146,1614,1618,66,1616,82,846,1620,1624,66,1622,66,1250,1626,1632,66,1628,66,1630,66,1050,1634,800,66,67,1638,1640,82,75,1642,1644,66,1250,1646,1648,82,784,1650,73,66,83,67,1654,1250,836,1658,75,1250,1652,1662,836,82,75,1666,75,67,1668,1670,1672,66,1250,66,836,84,1664,1678,1664,66,1680,66,1656,1684,1688,66,1686,82,75,1690,1694,66,1692,66,1250,1696,1706,66,1698,66,1700,67,1702,1704,73,66,66,1708,1712,66,1710,66,67,1714,1720,66,1716,66,1718,66,67,1722,1728,66,1724,66,1726,82,784,1730,800,66,1732,66,1734,66,66,1738,1664,66,1740,66,1742,1744,75,1250,1054,1748,1664,66,1750,66,1752,1754,846,1250,1050,1758,1760,83,836,1762,1764,66,1756,1766,136,82,1768,35,1,1772,1784,66,1774,67,1776,1778,1780,66,66,1782,73,82,75,1786,1802,66,1788,67,1790,1792,1794,66,66,1796,1798,66,66,1800,73,82,75,1804,1770,83,1806,1808,1810,66,67,1812,1816,66,1814,66,66,1818,1822,66,1820,66,67,1824,1830,66,1826,66,1828,66,66,66,1832,66,836,1770,832,1838,73,82,73,84,1842,1844,1846,66,84,1848,1852,66,1850,66,84,1854,1018,66,66,1858,1900,82,1860,1862,1896,82,1864,1866,1892,82,1868,1870,1874,66,1872,66,84,1876,1884,82,1878,67,1880,1882,1018,66,66,1886,1888,66,66,1890,73,66,67,1894,73,66,66,1898,73,66,66,84,1902,1904,832,66,84,1908,1934,82,1910,1912,1930,82,1914,1916,1920,66,1918,66,84,1922,1924,66,66,1926,1928,66,84,66,1836,1932,73,66,66,84,1936,1938,832,66,84,1942,1836,66,1944,66,1008,84,1948,1950,73,83,832,1954,1956,66,84,1958,1960,66,75,832,75,1964,84,66,67,84,1968,1970,1978,66,1972,67,1974,1976,73,82,778,66,774,1982,2010,82,1984,1986,2002,82,1988,1990,1994,82,1992,66,774,1996,1998,66,66,2000,73,82,778,2004,2006,66,66,2008,73,82,778,84,774,2014,2020,82,2016,2018,73,82,778,84,774,2024,2038,82,2026,2028,2030,66,75,2032,2034,66,75,2036,75,66,75,2040,73,82,2042,35,0,2046,2052,66,2048,66,2050,82,73,2054,2060,66,2056,66,2058,66,83,2062,2066,66,2064,82,73,2068,2072,66,2070,66,83,2074,2080,66,2076,66,2078,66,67,2082,2084,66,67,2086,2090,66,2088,66,67,67,2092,2094,2096,66,67,2098,2102,66,2100,66,734,2104,2106,82,2022,2108,2110,66,66,2112,2114,66,136,2116,2022,66,2118,136,2120,35,1,2124,2128,66,2126,82,75,2130,2134,66,2132,82,75,734,2136,35,1,2140,2152,66,2142,66,2144,66,2146,67,2148,2150,73,82,146,2154,2160,66,2156,66,2158,66,75,2162,2044,66,2164,66,2166,66,2168,67,2170,2172,2174,66,67,2176,2044,66,2178,66,66,2182,2190,66,2184,66,2186,66,2188,82,146,2192,2204,66,2194,66,2196,66,2198,67,2200,2202,73,66,83,2206,2214,66,2208,66,2210,66,2212,66,75,2216,2242,66,2218,66,2220,66,2222,67,2224,2226,2228,66,66,2230,2232,66,66,2234,2236,66,67,2238,84,66,2240,66,66,2244,2256,66,2246,66,2248,66,2250,66,2252,66,2254,66,75,2258,2270,66,2260,66,2262,82,2264,2266,2044,66,2268,66,67,2272,2278,66,2274,66,2276,66,66,2280,2286,66,2282,66,2284,66,66,2288,2294,66,2290,66,2292,66,66,2296,2302,66,2298,66,2300,66,67,2304,2312,66,2306,66,2308,66,2310,66,67,2314,2324,66,2316,66,2318,66,2320,66,2322,66,67,2326,2338,66,2328,66,2330,66,2332,66,2334,66,2336,66,66,2340,2044,66,2342,66,2344,66,2346,67,2348,2350,2352,66,67,2354,2044,66,2356,66,66,2360,2374,66,2362,66,2364,67,2366,2368,2370,66,66,2372,73,82,146,2376,2382,66,2378,66,2380,66,75,2384,2410,66,2386,66,2388,66,2390,67,2392,2394,2396,66,67,2398,2402,66,2400,66,67,2404,2044,66,2406,66,2408,66,66,2412,2044,66,2414,66,67,2418,2426,66,2420,66,2422,66,2424,82,146,2428,2442,66,2430,66,2432,67,2434,2436,2438,66,66,2440,73,66,83,2444,2452,66,2446,66,2448,66,2450,66,75,2454,2478,66,2456,66,2458,66,2460,67,2462,2464,2466,66,66,2468,2470,66,66,2472,2474,66,66,2476,84,66,67,2480,2492,66,2482,66,2484,66,2486,66,2488,66,2490,66,75,2494,2576,66,2496,66,2498,66,2500,67,2502,2504,2506,66,67,2508,2512,66,2510,66,67,2514,2520,66,2516,66,2518,66,67,2522,2530,66,2524,66,2526,66,2528,66,67,2532,2542,66,2534,66,2536,66,2538,66,2540,66,67,2544,2556,66,2546,66,2548,66,2550,66,2552,66,2554,66,66,2558,2044,66,2560,66,2562,66,2564,67,2566,2568,2570,66,67,2572,2044,66,2574,66,66,2578,2044,66,2580,66,67,2584,2590,66,2586,66,2588,82,73,2592,2598,66,2594,66,2596,66,83,2600,2604,66,2602,82,73,2606,2610,66,2608,66,83,2612,2618,66,2614,66,2616,66,67,2620,2622,66,67,2624,2628,66,2626,66,67,67,2630,2632,2634,66,67,2636,2676,83,2638,2640,2642,66,83,2644,2648,66,2646,82,2044,2650,2656,66,2652,82,2654,35,1,2658,2664,66,2660,66,2662,798,878,2666,2668,82,2022,2670,2672,66,66,2674,2022,66,136,2678,2798,83,2680,2682,2684,66,83,2686,2754,82,2688,2690,2750,82,2692,75,2694,75,2696,75,2698,2700,2704,66,2702,82,2180,2706,2710,66,2708,82,2138,2712,2722,82,2714,2716,2022,66,2718,132,2720,35,3,2724,2726,66,66,2728,2732,66,2730,798,878,2734,2738,82,2736,35,1,2740,2742,66,136,2744,2022,66,2746,132,2748,35,2,2752,73,82,2044,2756,2758,66,83,2760,2770,82,2762,2764,2022,66,2766,132,2768,35,2,2772,2774,66,66,2776,2780,66,2778,798,878,2782,2786,82,2784,35,3,2788,2790,66,136,2792,2022,66,2794,132,2796,35,5,2800,2804,66,2802,82,2044,2806,2850,83,2808,2810,2812,66,67,2814,2842,66,2816,67,2818,2820,2824,66,2822,798,878,2826,2830,82,2828,35,3,2832,2834,66,136,2836,2022,66,2838,132,2840,35,5,2844,2022,66,2846,132,2848,35,2,2852,2910,82,2854,75,2856,75,2858,75,2860,2862,2866,66,2864,82,2416,2868,2872,66,2870,82,2358,2874,2902,66,2876,67,2878,2880,2884,66,2882,798,878,2886,2890,82,2888,35,1,2892,2894,66,136,2896,2022,66,2898,132,2900,35,2,2904,2022,66,2906,132,2908,35,3,2912,73,82,2044,2916,2936,66,2918,83,2920,2922,2924,66,83,2926,2930,66,2928,66,67,2932,2122,66,2934,66,84,2938,2946,82,2940,2942,2944,66,67,67,734,2948,2950,66,83,2952,2956,66,2954,66,83,2958,2964,66,2960,66,2962,66,66,2966,2972,66,2968,66,2970,66,67,2974,2982,66,2976,66,2978,66,2980,66,67,2984,2994,66,2986,66,2988,66,2990,66,2992,66,83,2996,3008,66,2998,66,3000,66,3002,66,3004,66,3006,66,83,3010,3130,83,3012,3014,3016,66,83,3018,3022,66,3020,66,83,3024,3030,66,3026,66,3028,66,83,3032,3040,66,3034,66,3036,66,3038,66,83,3042,3052,66,3044,66,3046,66,3048,66,3050,66,83,3054,3066,66,3056,66,3058,66,3060,66,3062,66,3064,66,83,3068,3110,83,3070,3072,3074,66,83,3076,3080,66,3078,66,66,3082,3086,66,3084,66,83,3088,3094,66,3090,66,3092,66,66,3096,3102,66,3098,66,3100,66,66,3104,882,66,3106,66,3108,66,66,3112,2914,66,3114,66,3116,66,3118,67,3120,3122,3124,66,67,3126,2582,66,3128,66,66,3132,2914,66,3134,66,3136,66,3138,67,3140,3142,3144,66,67,3146,3150,66,3148,66,67,3152,2582,66,3154,66,3156,66,66,3160,3182,66,3162,66,3164,83,3166,3168,3170,66,83,3172,3176,66,3174,66,67,3178,2122,66,3180,66,84,3184,3204,82,3186,67,3188,3190,3192,66,66,3194,3196,66,67,3198,3202,66,3200,66,66,67,734,3206,3208,66,83,3210,3214,66,3212,66,83,3216,3222,66,3218,66,3220,66,83,3224,3232,66,3226,66,3228,66,3230,66,66,3234,3242,66,3236,66,3238,66,3240,66,67,3244,3254,66,3246,66,3248,66,3250,66,3252,66,83,3256,3268,66,3258,66,3260,66,3262,66,3264,66,3266,66,83,3270,3284,66,3272,66,3274,66,3276,66,3278,66,3280,66,3282,66,83,3286,3428,83,3288,3290,3292,66,83,3294,3298,66,3296,66,83,3300,3306,66,3302,66,3304,66,83,3308,3316,66,3310,66,3312,66,3314,66,83,3318,3328,66,3320,66,3322,66,3324,66,3326,66,83,3330,3342,66,3332,66,3334,66,3336,66,3338,66,3340,66,83,3344,3358,66,3346,66,3348,66,3350,66,3352,66,3354,66,3356,66,83,3360,3406,83,3362,3364,3366,66,66,3368,3370,66,83,3372,3376,66,3374,66,66,3378,3382,66,3380,66,83,3384,3390,66,3386,66,3388,66,66,3392,3398,66,3394,66,3396,66,66,3400,882,66,3402,66,3404,66,66,3408,3158,66,3410,66,3412,66,3414,66,3416,67,3418,3420,3422,66,67,3424,2582,66,3426,66,66,3430,3158,66,3432,66,3434,66,3436,66,3438,67,3440,3442,3444,66,67,3446,3450,66,3448,66,67,3452,2582,66,3454,66,3456,66,66,3460,3470,66,3462,66,3464,67,3466,3468,73,82,75,3472,3476,66,3474,66,75,3478,3484,66,3480,66,3482,82,784,3486,3492,66,3488,66,3490,66,66,3494,3500,66,3496,66,3498,66,67,3502,3510,66,3504,66,3506,66,3508,66,67,3512,3458,83,3514,3516,3518,66,83,3520,3524,66,3522,66,67,3526,3532,66,3528,66,3530,66,67,3534,3542,66,3536,66,3538,66,3540,66,66,3544,3458,83,3546,3548,3550,66,83,3552,3556,66,3554,66,67,3558,882,66,3560,66,3562,66,66,3566,3568,82,75,3570,3572,66,1582,3574,3578,66,3576,66,84,3580,3582,66,67,3584,2914,66,3586,66,67,3590,3592,66,89,3594,3604,66,3596,66,3598,83,3600,3602,84,66,67,3606,3612,66,3608,66,3610,66,75,3614,3624,66,3616,66,3618,66,3620,66,3622,66,67,3626,3642,66,3628,83,3630,3632,3634,66,66,3636,3638,66,66,3640,66,66,66,3644,3646,66,66,3648,3650,66,67,3652,3656,66,3654,66,67,66,3658,66,66,3662,75,3588,3664,3666,832,66,3668,66,836,3672,3674,66,696,696,3676,722,3678,3680,3684,58,3682,35,45,3686,75,58,3688,35,62,400,75,3694,678,66,560,3698,73,82,75,3702,3716,82,3704,3706,3708,66,75,3710,3696,66,3712,836,3714,35,124,3718,73,82,146,3722,3730,66,3724,83,3726,3728,3700,66,832,3732,3740,66,3734,82,3736,3692,3738,35,73,3742,3746,66,3744,66,832,3748,3752,66,3750,66,3690,3754,3828,82,3756,3758,3790,66,3760,3762,3764,1250,3670,712,3766,3768,3772,58,3770,35,99,3774,3778,58,3776,35,97,3780,3784,58,3782,35,115,3786,75,58,3788,35,101,1664,3792,3794,73,82,3796,75,3798,3800,3802,1250,3670,712,3804,3806,3810,58,3808,35,99,3812,3816,58,3814,35,97,3818,3822,58,3820,35,115,3824,75,58,3826,35,101,3830,3670,66,66,3834,3836,66,1012,3838,3864,1582,3840,3842,3844,66,75,3846,73,82,3848,3850,836,83,3852,3854,3856,66,66,3858,3860,66,832,836,3862,35,42,3866,75,832,3868,3870,75,58,3872,35,42,3876,3904,66,3878,83,3880,3882,3884,66,66,3886,3892,82,3888,3692,3890,35,58,3894,3898,800,3896,1060,874,3900,75,58,3902,35,58,3906,3936,66,3908,67,3910,3912,3914,66,83,3916,3922,66,3918,66,3920,1250,454,3924,532,66,3926,1582,3928,3930,3932,82,532,3934,492,66,66,67,1652,3940,3944,66,3942,66,84,3946,3956,66,3948,66,3950,83,3952,3954,832,66,66,3958,3978,82,3960,3962,3966,66,3964,82,3832,3968,3972,66,3970,66,66,3974,3976,66,3874,1664,3696,3980,3982,66,66,3984,3986,66,66,3988,3990,66,83,3992,3996,66,3994,66,832,3998,4002,66,4000,66,3690,1250,3670,4006,4018,83,4008,4010,4012,66,83,4014,3720,66,4016,66,836,4020,4022,82,73,4024,4026,66,83,4028,3938,66,4030,66,1664,4034,4046,83,4036,4038,4040,82,73,4042,4044,800,874,35,0,4048,4064,83,4050,4052,4054,66,66,4056,4058,66,4032,4060,130,82,4062,35,10,4066,4068,66,836,4070,4076,66,4072,136,4074,35,48,4078,128,82,4080,35,10,4084,4032,83,4086,4088,4094,82,4090,836,4092,35,48,4096,4098,800,874,35,0,4102,4108,66,4104,66,4106,82,144,4110,4144,66,4112,67,4114,4116,4118,66,83,4120,4124,66,4122,66,83,4126,4130,66,4128,82,75,4132,4136,66,4134,66,66,4138,4140,82,75,4142,73,66,66,4146,4150,66,4148,66,67,4152,4158,66,4154,66,4156,66,67,4160,4226,66,4162,83,4164,4166,4168,66,67,4170,4174,66,4172,66,66,4176,4180,66,4178,66,83,4182,4186,66,4184,82,75,4188,4192,66,4190,66,83,4194,4202,66,4196,67,4198,4200,73,66,66,4204,4206,66,67,67,4208,4210,4214,800,4212,1060,874,4216,4220,58,4218,35,73,4222,75,58,4224,35,79,4228,4238,66,4230,66,4232,66,4234,66,4236,66,75,4240,4246,66,4242,66,4244,66,67,4248,4260,66,4250,66,4252,66,4254,82,4256,4258,75,66,75,4262,4270,66,4264,66,4266,66,4268,66,83,4272,4280,66,4274,66,4276,66,4278,82,75,4282,4290,66,4284,66,4286,66,4288,66,83,4292,4304,66,4294,66,4296,66,4298,67,4300,4302,73,66,66,4306,4312,66,4308,66,4310,66,67,4314,4340,66,4316,66,4318,66,4320,67,4322,4324,4328,800,4326,1060,874,4330,4334,58,4332,35,45,4336,75,58,4338,35,62,4342,4360,83,4344,4346,4348,66,66,4350,4352,66,66,4354,4356,66,454,4358,4082,82,75,4362,4382,83,4364,4366,4368,66,66,4370,4372,66,67,4374,4376,66,4100,4378,136,82,4380,35,1,4384,4386,66,492,4388,4390,66,532,4392,4082,82,75,4396,73,83,4398,4400,4402,66,67,4404,4406,66,1250,4408,4416,66,4410,67,4412,4414,73,66,66,4418,4424,66,4420,66,4422,66,75,4426,4428,66,67,67,4430,2914,4432,924,878,4436,4440,66,4438,66,84,4442,4444,82,4394,4446,4448,66,83,4450,4454,66,4452,66,67,4456,4462,66,4458,66,4460,66,67,4464,4472,66,4466,66,4468,66,4470,66,67,4474,4484,66,4476,66,4478,66,4480,66,4482,66,66,4486,4502,66,4488,66,4490,67,4492,4494,4496,66,67,4498,360,66,4500,66,66,4504,4004,66,4506,66,1652,4510,4516,66,4512,66,4514,66,84,4518,4538,66,4520,82,4522,4524,4530,82,4526,1756,4528,35,0,1770,4532,75,4534,4536,4082,82,75,4540,4544,66,4542,66,83,4546,4552,66,4548,66,4550,66,67,4554,4562,66,4556,66,4558,66,4560,66,67,4564,4574,66,4566,66,4568,66,4570,66,4572,66,67,4576,4588,66,4578,66,4580,66,4582,66,4584,66,4586,66,67,4590,4604,66,4592,66,4594,66,4596,66,4598,66,4600,66,4602,66,67,4606,4622,66,4608,66,4610,66,4612,66,4614,66,4616,66,4618,66,4620,66,67,4624,4640,66,4626,66,4628,66,4630,66,4632,66,4634,66,4636,66,4638,66,67,4642,4656,66,4644,66,4646,66,4648,66,4650,66,4652,66,4654,66,67,4658,4670,66,4660,66,4662,66,4664,66,4666,66,4668,66,67,4672,4696,66,4674,66,4676,66,4678,67,4680,4682,4684,66,67,4686,4690,66,4688,66,66,4692,360,66,4694,66,66,4698,4704,66,4700,66,4702,66,67,4706,4714,66,4708,66,4710,66,4712,66,1652,4716,4720,66,4718,66,67,4722,4726,66,4724,82,73,4728,4732,66,4730,66,83,4734,4740,66,4736,66,4738,66,1770,4742,4750,66,4744,66,4746,66,4748,66,84,4752,4766,66,4754,66,4756,66,4758,66,4760,67,4762,4764,832,66,66,4768,4810,66,4770,82,4772,4774,4786,66,4776,66,4778,454,4780,4782,75,58,4784,35,64,4788,4802,66,4790,66,4792,492,4794,532,4796,4798,75,58,4800,35,64,67,4804,4806,532,66,4808,1250,454,4812,4816,66,4814,66,66,4818,4822,66,4820,66,66,4824,4828,66,4826,66,67,4830,4836,66,4832,66,4834,66,832,4838,4842,66,4840,66,400,4844,4848,66,4846,82,75,4850,404,66,4852,66,836,4856,4862,66,4858,66,4860,66,84,4864,4916,83,4866,4868,4870,66,83,4872,4876,66,4874,66,66,4878,4882,66,4880,66,67,4884,4890,66,4886,66,4888,66,66,4892,4898,66,4894,66,4896,66,360,4900,4906,82,4902,4904,836,82,75,4908,4910,66,66,4912,1652,3158,4914,924,878,4918,4924,66,4920,66,4922,66,836,4926,4932,66,4928,66,4930,66,774,4934,4936,82,832,4938,4940,66,66,4942,832,66,66,4946,4952,66,4948,66,4950,66,84,4954,5114,66,4956,67,4958,4960,4962,66,83,4964,4968,66,4966,66,67,4970,4976,66,4972,66,4974,66,67,4978,4986,66,4980,66,4982,66,4984,66,67,4988,4998,66,4990,66,4992,66,4994,66,4996,66,67,5000,5012,66,5002,66,5004,66,5006,66,5008,66,5010,66,83,5014,5024,66,5016,66,5018,66,5020,66,5022,66,67,5026,5048,66,5028,66,5030,67,5032,5034,5036,66,67,5038,5042,66,5040,66,66,5044,360,66,5046,66,66,5050,5054,66,5052,66,67,5056,5062,66,5058,66,5060,66,836,5064,5106,82,5066,5068,5080,83,5070,5072,5074,66,66,5076,5078,66,832,400,75,5082,5098,82,5084,5086,5094,66,5088,492,5090,3692,5092,35,70,5096,1274,66,3692,5100,5102,66,66,4100,5104,35,0,5108,5110,66,66,5112,832,66,66,5116,832,66,5118,66,836,5122,5124,66,84,5126,5134,66,5128,67,5130,5132,360,66,66,5136,5138,66,1652,1664,778,5142,5146,66,5144,66,84,5148,5194,66,5150,66,5152,67,5154,5156,5158,66,67,5160,5164,66,5162,66,67,5166,5172,66,5168,66,5170,66,67,5174,5182,66,5176,66,5178,66,5180,66,67,5184,360,66,5186,66,5188,66,5190,66,5192,66,66,5196,832,66,5198,66,836,5202,5204,82,84,5206,73,66,66,5210,5272,82,5212,5214,5218,66,5216,66,84,5220,5258,82,5222,5224,5226,66,84,5228,5244,82,5230,5232,5234,66,84,5236,5242,66,5238,66,5240,66,784,66,832,5246,5248,66,66,5250,5252,66,67,5254,5200,66,5256,82,75,5260,5262,66,66,5264,5266,66,67,5268,5200,66,5270,82,75,84,5274,5276,5278,66,84,5280,832,66,5282,66,784,5286,5318,82,5288,5290,5294,66,5292,66,84,5296,5304,82,5298,5300,5302,66,84,66,5200,5306,5308,66,66,5310,5312,66,67,5314,5200,66,5316,82,75,84,5320,812,5208,5324,5330,66,5326,66,5328,82,75,5332,5340,82,5334,5336,832,66,5338,66,784,5342,5344,66,83,5346,73,66,5348,66,66,5352,5354,66,84,5356,5322,66,5358,67,5360,5362,73,82,75,84,5366,5368,5372,66,5370,808,5208,812,5208,5376,5380,66,5378,66,84,5382,5388,66,5384,66,5386,82,784,5390,5392,82,5200,5394,5396,66,66,5398,5200,66,83,5402,5408,66,5404,82,5406,75,73,67,848,5412,5416,66,5414,82,75,67,848,5420,5426,82,5422,5424,75,812,5208,5428,5430,66,5374,5432,5418,83,5434,5436,836,5438,5208,848,5364,5442,5418,83,5444,5446,836,5448,5208,848,5364,5452,5464,83,5454,5456,5458,66,66,5460,836,5462,5208,848,5364,5466,5470,66,5468,66,5418,67,5472,5474,5364,5400,5208,5478,5486,66,5480,82,5482,5484,75,812,5208,5488,5450,66,5490,66,5374,5494,5496,66,5350,800,874,5500,5530,83,5502,5504,5506,66,83,5508,5512,66,5510,66,67,5514,5520,66,5516,66,5518,66,66,5522,5528,66,5524,66,5526,66,66,67,5400,5532,5536,66,5534,66,67,67,5410,5540,5562,5542,5546,5544,5364,5410,5208,5548,5558,5550,5554,5552,5364,5400,5208,5492,5556,35,45,5492,5560,35,45,5418,5564,5350,5566,5568,5570,66,1034,5572,5576,82,5574,35,10,800,874,5418,5580,5582,5538,5374,5584,5586,5592,5374,5588,5492,5590,35,32,5492,5594,35,10,5598,5600,82,5578,5602,5364,5410,5208,5606,5492,66,5596,5610,5614,66,5612,66,84,5616,5630,66,5618,67,5620,5622,5624,66,67,5626,5200,66,5628,82,75,5632,5636,66,5634,82,75,5638,5640,82,784,5642,5644,66,83,5646,5648,82,1008,5650,73,66,66,5654,5664,5656,5660,5658,5208,5498,5364,5604,5662,35,40,5604,5666,35,41,5350,5670,5672,5700,83,5674,5676,5678,66,1050,5680,5694,83,5682,5684,5686,66,1054,5688,5692,82,5690,35,122,798,878,5696,5698,798,878,35,97,5702,5706,82,5704,35,95,800,874,5350,5710,5712,5726,83,5714,5716,5718,66,1054,5720,5724,82,5722,35,90,798,878,5728,5730,798,878,35,65,5350,5734,5736,5750,83,5738,5740,5742,66,1054,5744,5748,82,5746,35,57,798,878,5752,5754,798,878,35,48,5350,5758,5760,5876,82,5762,5764,5768,58,5766,35,33,5770,5774,58,5772,35,35,5776,5780,58,5778,35,36,5782,5786,58,5784,35,37,5788,5792,58,5790,35,38,5794,5798,58,5796,35,42,5800,5804,58,5802,35,43,5806,5810,58,5808,35,46,5812,5816,58,5814,35,47,5818,5822,58,5820,35,60,5824,5828,58,5826,35,61,5830,5834,58,5832,35,62,5836,5840,58,5838,35,63,5842,5846,58,5844,35,64,5848,5852,58,5850,35,92,5854,5858,58,5856,35,94,5860,5864,58,5862,35,124,5866,5870,58,5868,35,45,5872,75,58,5874,35,126,1612,874,5880,5888,5882,5668,5884,836,5886,5208,848,5364,5418,5890,5892,5902,5374,5894,5896,5732,5374,5898,5900,5708,5374,5668,5492,5904,35,39,5596,5908,5910,5918,5912,5708,5914,836,5916,5208,848,5364,5418,5920,5922,5932,5374,5924,5926,5732,5374,5928,5930,5708,5374,5668,5492,5934,35,39,5596,5938,5940,5878,5608,5942,5944,5946,66,1034,5948,6186,82,5950,5952,5984,836,5954,5956,5960,58,5958,35,99,5962,5966,58,5964,35,108,5968,5972,58,5970,35,97,5974,5978,58,5976,35,115,5980,75,58,5982,35,115,5986,6012,836,5988,5990,5994,58,5992,35,100,5996,6000,58,5998,35,97,6002,6006,58,6004,35,116,6008,75,58,6010,35,97,6014,6064,836,6016,6018,6022,58,6020,35,105,6024,6028,58,6026,35,110,6030,6034,58,6032,35,115,6036,6040,58,6038,35,116,6042,6046,58,6044,35,97,6048,6052,58,6050,35,110,6054,6058,58,6056,35,99,6060,75,58,6062,35,101,6066,6080,836,6068,6070,6074,58,6072,35,111,6076,75,58,6078,35,102,6082,6114,836,6084,6086,6090,58,6088,35,119,6092,6096,58,6094,35,104,6098,6102,58,6100,35,101,6104,6108,58,6106,35,114,6110,75,58,6112,35,101,6116,6130,836,6118,6120,6124,58,6122,35,105,6126,75,58,6128,35,102,6132,6158,836,6134,6136,6140,58,6138,35,116,6142,6146,58,6144,35,104,6148,6152,58,6150,35,101,6154,75,58,6156,35,110,6160,75,836,6162,6164,6168,58,6166,35,101,6170,6174,58,6172,35,108,6176,6180,58,6178,35,115,6182,75,58,6184,35,101,1612,6188,1060,874,5418,6192,6194,5756,5374,6196,5492,6198,35,58,5596,6202,6204,6190,6206,6212,6208,836,6210,5208,848,5364,5492,6214,35,58,5596,6218,6220,6296,5608,6222,6224,6226,66,1034,6228,6292,82,6230,6232,6240,836,6234,6236,75,58,6238,35,64,6242,6250,836,6244,6246,75,58,6248,35,61,6252,6260,836,6254,6256,75,58,6258,35,124,6262,6276,836,6264,6266,6270,58,6268,35,45,6272,75,58,6274,35,62,6278,75,836,6280,6282,6286,58,6284,35,61,6288,75,58,6290,35,62,1612,6294,1060,874,6298,6190,6300,5756,6302,836,6304,5208,848,5364,6308,6310,5374,5906,5652,6200,6314,6316,5374,5936,5652,6216,6320,6326,5374,6322,6324,6200,5374,6216,6328,6344,6330,6340,6332,6336,6334,5208,5498,5364,5604,6338,35,96,5604,6342,35,96,6346,5936,5374,5906,6350,6352,5374,6200,6354,5906,6356,6366,6358,6362,6360,5208,5498,5364,5604,6364,35,96,5604,6368,35,96,6372,6382,6374,6378,6376,5364,5400,5208,5492,6380,35,92,6384,6412,5374,6386,5350,6388,6390,6410,82,6392,6394,6398,58,6396,35,39,6400,6404,58,6402,35,34,6406,75,58,6408,35,92,1612,874,6414,6422,6416,6418,814,5364,75,6420,35,10,5492,6424,35,110,6428,6432,66,6430,5374,6370,6434,6436,66,5350,1042,874,6440,6484,6442,6444,814,5364,6446,6448,66,662,6450,6482,1582,6452,6454,6460,66,6456,82,6458,35,48,6462,6466,66,6464,66,134,6468,6470,82,73,6472,6474,66,66,6476,6478,66,136,132,6480,35,10,35,0,5596,6486,5440,5732,6490,6494,6492,648,814,5364,6496,6512,6498,6508,6500,6504,6502,5208,5498,5364,5492,6506,35,39,5604,6510,35,39,6426,6514,35,39,6518,6534,6520,6530,6522,6526,6524,5208,5498,5364,5492,6528,35,34,5604,6532,35,34,5418,6536,6426,6538,35,34,6542,6546,6544,560,814,5364,6548,6438,5374,6550,6552,6488,5374,6554,6556,6516,6558,636,814,5364,6562,6580,66,6564,6566,6576,6568,6572,6570,5208,5498,5364,5604,6574,35,91,5604,6578,35,93,6582,5476,82,6584,5604,6586,35,44,6590,6592,66,67,6594,800,66,6596,66,5608,6600,6602,66,5596,6604,6608,6588,6606,1060,874,6610,5878,5374,6612,5440,6614,6616,5756,5374,6618,5492,6620,35,95,6624,6646,5374,6626,6628,6630,5374,5906,5652,6632,6634,6636,5374,6200,6638,6642,6640,1660,814,5364,5604,6644,35,44,6648,6662,6650,6652,808,5208,6654,6658,6656,836,814,5364,5604,6660,35,91,6664,6668,6666,1660,814,5364,5604,6670,35,93,6674,6826,83,6676,6678,6680,66,5374,6682,6772,83,6684,6686,6688,66,5374,6690,6698,82,6692,6694,6540,6696,624,814,5364,6700,6702,66,5374,6704,6716,82,6706,6708,6622,6710,6712,814,5364,6714,75,67,590,6718,6720,66,5374,6722,6734,66,6724,6726,6728,808,5208,6730,6312,6732,606,814,5364,6736,6742,82,6738,6740,75,812,5208,6744,6746,66,5374,6748,6764,66,6750,6752,6756,6754,5364,5400,5208,6598,6758,6760,75,58,6762,35,64,6766,6672,66,6768,6770,784,814,5364,6774,6560,66,6776,6778,6780,814,5364,6782,6810,1250,6784,6786,6798,66,6788,66,6790,590,6792,6794,75,58,6796,35,58,6800,6806,82,6802,6804,836,82,75,6808,836,66,66,6812,75,590,6814,6816,6820,58,6818,35,91,6822,75,58,6824,35,93,6828,6830,66,5652,6832,6844,83,6834,6836,6840,66,6838,808,5208,6842,84,814,5364,6846,6852,82,6848,6850,73,812,5208,6854,6856,66,5374,6858,6870,66,6860,6862,6866,6864,5364,5400,5208,5604,6868,35,44,6872,6874,814,5364,6876,6888,66,6878,66,6880,590,6882,6884,75,58,6886,35,44,6890,6894,66,6892,67,836,6896,836,82,75,6900,6918,5374,6902,6904,6914,6906,6908,808,5208,6910,6622,6912,590,814,5364,5418,6916,6672,6898,6920,6932,6922,6924,808,5208,6926,6930,6928,84,814,5364,6672,6898,6934,6972,5374,6936,6938,6970,6940,6942,808,5208,6944,6348,6946,6948,814,5364,6950,6962,82,6952,6954,6958,66,6956,67,836,6960,836,82,75,6964,6966,66,66,6968,590,66,66,6672,6898,6974,73,812,5208,6672,6898,6980,7000,83,6982,6984,6986,66,83,6988,6992,66,6990,66,5374,6994,6598,66,6996,6998,5364,5400,5208,7002,7046,66,7004,66,7006,7008,7010,814,5364,7012,7014,1250,73,532,7016,7018,7022,58,7020,35,106,7024,7028,58,7026,35,111,7030,7034,58,7032,35,105,7036,7040,58,7038,35,110,7042,75,58,7044,35,35,7048,7052,66,7050,66,5440,7054,7232,66,7056,83,7058,7060,7064,66,7062,808,5208,7066,7222,66,7068,7070,7072,814,5364,7074,7196,83,7076,7078,7080,66,83,7082,7086,66,7084,82,75,7088,7092,66,7090,66,83,7094,7098,66,7096,82,75,7100,7104,66,7102,66,83,7106,7114,66,7108,82,7110,7112,75,66,75,7116,7120,66,7118,66,83,7122,7130,66,7124,82,7126,7128,75,66,75,7132,7136,66,7134,66,83,7138,7180,82,7140,7142,7144,66,67,7146,75,66,7148,67,7150,7152,7156,800,7154,1060,874,7158,7162,58,7160,35,84,7164,7168,58,7166,35,114,7170,7174,58,7172,35,117,7176,75,58,7178,35,101,7182,7184,66,66,7186,7188,66,83,7190,7192,82,75,7194,73,66,66,7198,7202,66,7200,66,492,7204,7206,66,492,492,7208,532,7210,7212,7216,58,7214,35,105,7218,75,58,7220,35,102,7224,7228,7226,5364,5400,5208,5604,7230,35,124,7234,6598,66,7236,7238,5364,5400,5208,7242,7260,66,7244,7246,7256,7248,7252,7250,5208,5498,5364,5604,7254,35,123,5604,7258,35,125,7262,5476,82,7264,5604,7266,35,59,7270,7304,82,7272,532,7274,7276,7280,58,7278,35,102,7282,7286,58,7284,35,97,7288,7292,58,7290,35,105,7294,7298,58,7296,35,108,7300,75,58,7302,35,35,7306,7308,66,492,454,7310,7312,7316,58,7314,35,106,7318,7322,58,7320,35,111,7324,7328,58,7326,35,105,7330,7334,58,7332,35,110,7336,75,58,7338,35,35,7342,7352,66,7344,7346,7348,814,5364,7350,432,66,7268,7354,7356,66,7240,7358,7378,66,7360,7362,7364,808,5208,7366,6898,7368,7370,814,5364,7372,7374,66,832,7376,836,82,75,6978,7380,7382,7386,58,7384,35,45,7388,75,58,7390,35,62,7394,7340,83,7396,7398,7402,66,7400,808,5208,7404,7412,66,7406,7408,7410,814,5364,67,492,7414,7446,7416,7420,7418,5208,5498,5364,6598,7422,7424,7428,58,7426,35,99,7430,7434,58,7432,35,97,7436,7440,58,7438,35,115,7442,75,58,7444,35,101,6598,7448,7450,7454,58,7452,35,111,7456,75,58,7458,35,102,7462,7340,66,7464,7466,7470,7468,5364,5400,5208,6598,7472,7474,7478,58,7476,35,99,7480,7484,58,7482,35,97,7486,7490,58,7488,35,115,7492,75,58,7494,35,101,7498,7502,66,7500,66,432,7504,7508,66,7506,82,75,7510,832,66,7512,66,836,7516,7528,66,7518,7520,7524,7522,5364,5400,5208,5604,7526,35,92,7530,7536,83,7532,7534,7460,66,5374,7538,7544,66,7540,7542,7268,814,5364,7546,7558,66,7548,7550,7556,7552,7496,7554,5208,848,5364,5440,6976,7560,7564,7562,5364,5400,5208,6598,7566,7568,7572,58,7570,35,45,7574,75,58,7576,35,62,67,7580,7582,7584,66,492,492,7586,532,7588,7590,75,58,7592,35,44,7596,7608,66,7598,7600,7604,7602,5364,5400,5208,5604,7606,35,44,7610,7626,82,7612,7614,7616,812,5208,492,7618,532,7620,7622,75,58,7624,35,44,7628,7630,66,5374,7632,7578,814,5364,7636,7648,83,7638,7640,7644,66,7642,808,5208,7646,84,814,5364,7650,7656,82,7652,7654,73,812,5208,7658,7660,66,5374,7662,7594,66,7664,5374,7666,7668,6318,7670,7672,814,5364,7674,532,66,492,7678,7680,808,5208,7682,7720,7684,7686,814,5364,7688,7700,66,7690,66,7692,454,7694,7696,75,58,7698,35,64,7702,7704,66,492,7706,7716,82,7708,532,7710,7712,75,58,7714,35,64,7718,532,66,492,7722,7724,5374,6318,7726,7730,7728,1660,814,5364,5604,7732,35,44,7736,7748,66,7738,7740,7744,7742,5364,5400,5208,5604,7746,35,40,7750,7782,82,7752,7754,7764,7756,7760,7758,5364,5400,5208,5604,7762,35,41,7766,7768,812,5208,532,7770,7772,7776,58,7774,35,40,7778,75,58,7780,35,41,7784,7786,66,5374,7788,7810,83,7790,7792,7794,66,5374,7796,7802,82,7798,5604,7800,35,41,7804,7634,66,7806,7808,5364,5410,5208,7812,7818,82,7814,5604,7816,35,41,7820,7676,66,7822,7824,5364,5410,5208,7828,7878,83,7830,7832,7834,66,67,7836,7846,66,7838,67,7840,7842,73,82,7844,75,846,7848,7872,83,7850,7852,7854,66,67,7856,7860,66,7858,66,66,7862,7866,66,7864,66,1050,67,7868,800,7870,1060,874,7874,7826,66,7876,1202,846,7880,7882,66,75,7884,7826,66,1746,7888,7894,66,7890,82,7892,75,144,7896,7980,83,7898,7900,7902,66,67,7904,7956,83,7906,7908,7910,66,67,7912,7936,83,7914,7916,7918,66,67,7920,7930,66,7922,67,7924,7926,73,82,7928,75,846,67,7932,800,7934,1060,874,7938,7886,83,7940,7942,7944,66,67,7946,7950,66,7948,66,66,7952,7886,66,7954,66,1050,7958,7886,83,7960,7962,7964,66,67,7966,7970,66,7968,66,66,7972,7976,66,7974,66,1054,1042,7978,1060,874,7982,7984,66,1746,7986,7988,66,84,7990,7886,83,7992,7994,7996,66,67,7998,8002,66,8000,66,66,8004,8008,66,8006,66,1054,8010,8014,66,8012,66,1034,8016,7826,66,1746,8020,8026,66,8022,66,8024,82,144,8028,8034,66,8030,66,8032,82,75,8036,8042,66,8038,66,8040,66,83,8044,8050,66,8046,66,8048,82,75,8052,8058,66,8054,66,8056,66,66,8060,8160,83,8062,8064,8066,66,83,8068,8072,66,8070,66,83,8074,8130,83,8076,8078,8080,66,83,8082,8086,66,8084,66,67,8088,8098,66,8090,66,8092,83,8094,8096,75,83,73,8100,8104,66,8102,82,73,8106,8110,66,8108,66,83,8112,8118,66,8114,66,8116,66,67,8120,8122,66,66,8124,8126,66,67,800,8128,1060,874,8132,8018,83,8134,8136,8138,66,83,8140,8144,66,8142,66,67,8146,8152,66,8148,66,8150,66,66,8154,8018,66,8156,66,8158,66,492,8162,8194,83,8164,8166,8168,66,66,8170,8172,66,67,8174,8178,66,8176,66,83,8180,8186,66,8182,66,8184,66,66,8188,8190,66,67,800,8192,1060,874,8196,8018,66,8198,66,8200,67,8202,8204,454,66,66,8208,8210,82,75,8212,8018,66,66,8216,8218,82,73,8220,8222,66,83,8224,8230,83,8226,8228,7886,66,83,8232,454,66,8234,66,8236,492,8238,3692,8240,35,89,8244,8256,66,8246,67,8248,8250,8252,66,66,8254,832,66,66,8258,8262,66,8260,66,7496,8264,8270,82,8266,8268,836,82,75,8272,836,66,66,8276,8284,66,8278,67,8280,8282,73,82,75,8286,8294,66,8288,83,8290,8292,73,66,66,8296,8324,66,8298,83,8300,8302,8304,66,83,8306,8310,66,8308,66,66,8312,8316,66,8314,66,66,8318,8320,66,84,8322,836,82,75,8326,8342,66,8328,66,8330,66,8332,66,8334,66,8336,67,8338,8340,73,66,66,8344,8692,83,8346,8348,8350,66,66,8352,8354,66,66,8356,8358,66,67,8360,8364,66,8362,66,67,8366,8372,66,8368,66,8370,66,67,8374,8382,66,8376,66,8378,66,8380,66,67,8384,8394,66,8386,66,8388,66,8390,66,8392,66,67,8396,8428,83,8398,8400,8402,66,83,8404,8408,66,8406,66,66,8410,8414,66,8412,66,66,8416,8420,66,8418,66,67,8422,800,66,8424,66,8426,66,66,8430,8676,82,8432,8434,8438,66,8436,66,67,8440,8446,66,8442,66,8444,66,836,8448,8668,82,8450,8452,8530,66,8454,82,8456,1448,8458,8460,8464,58,8462,35,98,8466,8470,58,8468,35,97,8472,8476,58,8474,35,100,8478,8482,58,8480,35,32,8484,8488,58,8486,35,109,8490,8494,58,8492,35,117,8496,8500,58,8498,35,108,8502,8506,58,8504,35,116,8508,8512,58,8510,35,105,8514,8518,58,8516,35,100,8520,8524,58,8522,35,101,8526,75,58,8528,35,102,8532,8536,66,8534,82,75,8538,8542,66,8540,66,83,8544,8620,82,8546,8548,8550,66,67,8552,8556,66,8554,82,75,8558,8562,66,8560,66,83,8564,8572,82,8566,8568,1652,66,8570,66,432,8574,8576,66,66,8578,8580,66,67,8582,8588,82,8584,8586,75,66,75,8590,8592,66,83,8594,8600,82,8596,8598,75,66,75,8602,8604,66,83,8606,8608,82,75,8610,8612,66,83,8614,8616,82,75,8618,73,66,66,8622,8624,66,66,8626,8628,66,83,8630,8636,82,8632,8634,75,66,75,8638,8640,66,83,8642,8648,82,8644,8646,75,66,75,8650,8652,66,83,8654,8656,82,75,8658,8660,66,83,8662,8664,82,75,8666,73,66,66,8670,8672,66,66,8674,832,66,66,8678,8680,66,66,8682,8684,66,66,8686,8688,66,66,8690,8274,66,66,8694,8274,66,8696,67,8698,8700,836,66,66,8704,8744,83,8706,8708,8710,66,5374,8712,8736,66,8714,8716,8718,808,5208,8720,6976,8722,8724,808,5208,8726,6216,8728,8730,808,5208,8732,6976,8734,8242,814,5364,6978,8738,8740,75,58,8742,35,61,8746,8756,66,8748,8750,6312,8752,832,8754,5208,848,5364,8758,8770,66,8760,8762,8768,8764,7496,8766,5208,848,5364,5418,6976,6978,8772,8774,75,58,8776,35,61,67,8780,1250,8782,8784,8816,82,8786,8788,8798,82,8790,8792,8794,82,7268,8796,8214,66,66,8800,8802,66,83,8804,8808,66,8806,66,66,8810,8814,66,8812,66,492,67,454,8818,73,66,66,8822,73,83,8824,8826,8830,66,8828,808,5208,8832,8838,66,8834,8836,8778,814,5364,8840,8884,66,8842,8844,8870,8846,8850,8848,5208,5498,5364,6598,8852,8854,8858,58,8856,35,108,8860,8864,58,8862,35,101,8866,75,58,8868,35,116,6598,8872,8874,8878,58,8876,35,105,8880,75,58,8882,35,110,8886,8896,66,8888,8890,8892,814,5364,8274,8894,1060,874,8898,8702,66,7240,8902,9006,83,8904,8906,8910,66,8908,808,5208,8912,8974,83,8914,8916,8920,66,8918,808,5208,8922,8954,66,8924,8926,8928,814,5364,8930,8934,66,8932,66,492,8936,8938,66,492,492,8940,532,8942,8944,8948,58,8946,35,105,8950,75,58,8952,35,102,8956,8960,8958,5364,5400,5208,6598,8962,8964,8968,58,8966,35,105,8970,75,58,8972,35,102,8976,8980,8978,5364,5400,5208,6598,8982,8984,8988,58,8986,35,116,8990,8994,58,8992,35,104,8996,9000,58,8998,35,101,9002,75,58,9004,35,110,9008,9012,9010,5364,5400,5208,6598,9014,9016,9020,58,9018,35,101,9022,9026,58,9024,35,108,9028,9032,58,9030,35,115,9034,75,58,9036,35,101,9040,9056,1250,9042,9044,9046,66,492,492,9048,532,9050,9052,75,58,9054,35,58,532,9058,9060,9064,58,9062,35,91,9066,75,58,9068,35,93,5350,9072,75,75,9076,9106,5374,9078,9080,9102,9082,9086,9084,5364,5400,5208,9088,9098,9090,9094,9092,5364,5400,5208,5492,9096,35,124,5492,9100,35,93,9104,75,812,5208,9108,9074,9110,9112,808,5208,9114,9070,9116,836,814,5364,5596,9120,9122,9156,9124,9128,9126,5364,5400,5208,9130,9152,9132,9136,9134,5364,5400,5208,9138,9148,9140,9144,9142,5364,5400,5208,5492,9146,35,91,5492,9150,35,114,5492,9154,35,124,9158,9074,9160,9162,814,5364,9164,636,66,560,9168,9170,82,6540,9172,9174,66,5374,9176,9188,82,9178,9180,9184,9182,532,814,5364,9186,6312,5374,6306,9190,9192,66,5374,9194,9222,82,9196,9198,9210,9200,9204,9202,5364,5400,5208,5652,9206,5604,9208,35,44,9212,9214,812,5208,532,9216,9218,75,58,9220,35,44,9224,9226,66,5374,9228,7514,83,9230,9232,9234,66,5374,9236,7392,83,9238,9240,9242,66,5374,9244,7734,83,9246,9248,9250,66,5374,9252,9274,83,9254,9256,9258,66,5374,9260,9262,82,9118,9264,9266,66,5374,9268,8820,83,9270,9272,8900,66,5374,9276,6560,66,9278,9280,9038,814,5364,9284,9292,66,9286,9288,9290,814,5364,1602,492,9294,9166,66,5440,9298,9296,83,73,84,9302,9304,9308,66,9306,82,846,9310,9326,82,9312,9314,9318,66,9316,82,75,9320,9322,82,73,9324,73,66,83,9328,9330,66,83,9332,9336,66,9334,66,83,9338,9354,82,9340,9342,9344,82,73,9346,9348,66,83,9350,73,66,9352,82,75,9356,9358,66,83,9360,9364,66,9362,66,83,9366,9380,82,9368,9370,9372,82,73,9374,9376,66,83,9378,73,82,75,9382,9384,66,66,9386,73,66,66,9390,9396,66,9392,66,9394,82,1008,9398,1682,66,9400,66,9402,82,9404,35,9,9408,9414,66,9410,66,9412,82,1012,9416,1682,66,9418,66,9420,82,354,9424,9428,66,9426,82,6318,9430,9434,66,9432,66,5608,9436,9446,66,9438,67,9440,9442,9444,66,66,800,874,67,9448,9388,9450,1060,874,9454,9462,66,9456,83,9458,9460,84,66,83,9464,9476,66,9466,66,9468,66,9470,66,9472,82,9474,75,1476,9478,9546,83,9480,9482,9484,66,66,9486,9488,66,66,9490,9492,66,83,9494,9498,66,9496,66,83,9500,9504,66,9502,66,1636,9506,9536,83,9508,9510,9512,66,67,9514,9518,66,9516,66,66,9520,9526,66,9522,66,9524,1042,9300,67,9528,9530,1008,66,9532,9406,9534,1060,874,67,9538,9540,1008,66,9542,9406,9544,1060,874,9548,9584,82,9550,67,9552,9554,73,1250,9556,9558,9580,82,9560,67,9562,9564,9566,66,66,9568,9570,66,67,9572,9576,66,9574,66,492,9578,532,66,492,9582,73,66,66,9586,9588,66,83,9590,9594,66,9592,66,83,9596,9602,66,9598,66,9600,66,67,9604,9612,66,9606,66,9608,66,9610,66,67,9614,9634,82,9616,1582,9618,9620,9622,66,84,9624,9628,66,9626,66,492,67,9630,9632,532,66,492,9636,9638,66,83,9640,9644,66,9642,66,66,9646,9650,66,9648,66,67,9652,9658,66,9654,66,9656,66,67,9660,9696,82,9662,9664,9674,66,9666,66,9668,82,9670,75,9672,75,1476,9676,9680,66,9678,66,84,9682,9684,66,84,9686,9690,66,9688,66,492,67,9692,9694,532,66,492,9698,9700,66,66,9702,9704,66,83,9706,9710,66,9708,66,66,67,9712,9714,1008,66,9716,9406,9718,1060,874,9722,9724,66,9296,9726,9736,82,9728,9730,9732,66,9282,84,9734,35,0,9738,9740,66,83,9742,9746,66,9744,66,67,9748,9762,66,9750,66,9752,83,9754,9756,9760,82,9758,35,9,798,878,9764,9804,83,9766,9768,9770,66,83,9772,9776,66,9774,66,83,9778,9788,82,9780,9782,9784,82,148,9786,73,66,66,9790,9792,66,66,9794,9796,66,66,9798,9452,66,9800,9802,5208,848,5364,9806,9812,66,9808,66,9810,66,5418,9814,9824,82,9816,9818,9820,82,148,9822,73,66,66,9826,9828,66,66,9830,9832,66,83,9834,9422,66,9836,66,9838,9840,832,9842,5208,848,5364,9846,5440,66,9848,9850,9852,814,5364,1602,696,9856,9864,66,9858,9860,9862,814,5364,1532,3670,9866,9884,82,9868,5596,9870,6598,9872,9874,9878,58,9876,35,45,9880,75,58,9882,35,62,9886,9844,66,5476,9890,5906,9892,9894,814,5364,9896,722,83,9898,9900,9946,82,9902,9904,9920,696,9906,722,9908,9910,9914,58,9912,35,91,9916,75,58,9918,35,93,722,9922,9924,9928,58,9926,35,67,9930,9934,58,9932,35,104,9936,9940,58,9938,35,97,9942,75,58,9944,35,114,9948,9986,82,9950,9952,9956,58,9954,35,83,9958,9962,58,9960,35,116,9964,9968,58,9966,35,114,9970,9974,58,9972,35,105,9976,9980,58,9978,35,110,9982,75,58,9984,35,103,800,9988,1060,874,9992,10124,5374,9994,9996,10118,5374,9998,10000,9888,5374,10002,10004,10014,10006,10010,10008,5364,5400,5208,5604,10012,35,40,10016,10048,5374,10018,10020,10030,10022,10026,10024,5364,5400,5208,5604,10028,35,41,10032,10034,812,5208,722,10036,10038,10042,58,10040,35,40,10044,75,58,10046,35,41,10050,10114,10052,10056,10054,5364,5410,5208,10058,10070,10060,10062,808,5208,10064,10068,10066,84,814,5364,9854,9990,10072,10110,5374,10074,10076,10086,10078,10082,10080,5364,5400,5208,5604,10084,35,44,10088,10108,10090,10092,814,5364,67,10094,10096,10098,66,696,696,10100,722,10102,10104,75,58,10106,35,44,9854,9990,10112,73,812,5208,5604,10116,35,41,10120,5936,10122,712,814,5364,10126,10136,10128,10132,10130,5364,5400,5208,5604,10134,35,91,10138,10170,5374,10140,10142,10152,10144,10148,10146,5364,5400,5208,5604,10150,35,93,10154,10156,812,5208,722,10158,10160,10164,58,10162,35,91,10166,75,58,10168,35,93,10172,10192,10174,10176,814,5364,696,10178,722,10180,10182,10186,58,10184,35,91,10188,75,58,10190,35,93,10194,10202,10196,10200,10198,5364,5410,5208,9854,9990,5604,10204,35,93,10208,10212,82,10210,1664,712,10214,10216,66,66,10218,722,66,10220,1582,696,10224,10266,5374,10226,10228,9990,10230,10232,808,5208,10234,6200,10236,10238,808,5208,10240,9990,10242,10244,814,5364,10246,10254,66,10248,67,10250,10252,408,66,66,10256,10262,82,10258,10260,836,82,75,10264,836,66,66,10268,10278,10270,10272,808,5208,10274,5906,10276,408,814,5364,5418,9990,10282,10346,10284,10286,808,5208,10288,10292,10290,4434,814,5364,10294,10332,10296,10328,10298,10302,10300,5208,5498,5364,6598,10304,10306,10310,58,10308,35,100,10312,10316,58,10314,35,97,10318,10322,58,10320,35,116,10324,75,58,10326,35,97,5604,10330,35,61,10334,10344,10336,10338,808,5208,10340,5906,10342,10206,814,5364,5418,5936,10348,10350,5476,10222,5604,10352,35,124,10356,10370,10358,10360,814,5364,10362,10366,82,10364,35,48,10368,73,66,134,5596,5732,10374,10378,66,10376,66,1664,10380,10386,66,10382,66,10384,67,832,67,832,10390,10420,82,10392,10394,10404,82,10396,10398,10400,5476,6318,5604,10402,35,44,10406,10410,66,10408,808,5208,10412,10414,82,10354,10416,10372,66,10418,814,5364,10422,10424,66,66,10426,10432,82,10428,5604,10430,35,59,10434,6598,66,10436,10438,5208,5498,5364,10442,10522,5374,10444,10446,10482,5374,10448,10450,356,10388,10452,10454,10458,58,10456,35,105,10460,10464,58,10462,35,110,10466,10470,58,10468,35,102,10472,10476,58,10474,35,105,10478,75,58,10480,35,120,10484,354,10388,10486,10488,10492,58,10490,35,105,10494,10498,58,10496,35,110,10500,10504,58,10502,35,102,10506,10510,58,10508,35,105,10512,10516,58,10514,35,120,10518,75,58,10520,35,108,10524,350,10388,10526,10528,10532,58,10530,35,105,10534,10538,58,10536,35,110,10540,10544,58,10542,35,102,10546,10550,58,10548,35,105,10552,10556,58,10554,35,120,10558,75,58,10560,35,114,10564,10574,10566,10568,808,5208,10570,6312,10572,832,814,5364,10576,10598,10578,10582,10580,5364,5400,5208,10584,10594,10586,10590,10588,5364,5400,5208,5492,10592,35,58,5604,10596,35,58,9854,9990,10602,10640,10604,10608,10606,5364,5400,5208,6598,10610,10612,10616,58,10614,35,99,10618,10622,58,10620,35,108,10624,10628,58,10626,35,97,10630,10634,58,10632,35,115,10636,75,58,10638,35,115,10642,10664,10644,10646,808,5208,10648,10658,10650,10652,808,5208,10654,5906,10656,4508,814,5364,10660,5936,10662,712,814,5364,10666,10704,10668,10672,10670,5364,5400,5208,6598,10674,10676,10680,58,10678,35,119,10682,10686,58,10684,35,104,10688,10692,58,10690,35,101,10694,10698,58,10696,35,114,10700,75,58,10702,35,101,7240,10562,9854,9990,10710,10768,66,10712,10714,10718,10716,5364,5400,5208,6598,10720,10722,10726,58,10724,35,105,10728,10732,58,10730,35,110,10734,10738,58,10736,35,115,10740,10744,58,10742,35,116,10746,10750,58,10748,35,97,10752,10756,58,10754,35,110,10758,10762,58,10760,35,99,10764,75,58,10766,35,101,10770,10852,66,10772,10774,10776,808,5208,10778,10706,10780,10782,808,5208,10784,5906,10786,10788,808,5208,10790,10804,10792,10794,814,5364,10796,400,66,10798,67,10800,10802,4854,66,66,10806,10848,5374,10808,10810,10826,10812,10814,808,5208,10816,5906,10818,10820,814,5364,10822,404,66,10824,66,1660,10828,10834,10830,10706,10832,5364,5410,5208,6598,10836,10838,10842,58,10840,35,61,10844,75,58,10846,35,62,10850,75,812,5208,10854,10894,66,10856,10858,10862,10860,5364,5400,5208,6598,10864,10866,10870,58,10868,35,119,10872,10876,58,10874,35,104,10878,10882,58,10880,35,101,10884,10888,58,10886,35,114,10890,75,58,10892,35,101,10896,10906,66,10898,10900,10902,814,5364,8274,10904,1060,874,10908,8702,66,7240,10912,10928,82,10914,10916,10922,5374,10918,5604,10920,35,59,10924,10926,812,5208,35,59,10930,10936,66,10932,10934,5364,5410,5208,10938,10944,82,10940,5604,10942,35,59,10946,10948,66,5476,10950,11204,83,10952,10954,10956,66,5374,10958,11180,82,10960,10962,11012,10964,10968,10966,5364,5400,5208,6598,10970,10972,10976,58,10974,35,102,10978,10982,58,10980,35,111,10984,10988,58,10986,35,114,10990,10994,58,10992,35,101,10996,11000,58,10998,35,105,11002,11006,58,11004,35,103,11008,75,58,11010,35,110,11014,11114,5374,11016,11018,11070,11020,11024,11022,5364,5400,5208,11026,6312,11028,11032,11030,5364,5400,5208,6598,11034,11036,11040,58,11038,35,105,11042,11046,58,11044,35,109,11048,11052,58,11050,35,112,11054,11058,58,11056,35,111,11060,11064,58,11062,35,114,11066,75,58,11068,35,116,11072,11088,11074,11076,808,5208,11078,6312,11080,11082,808,5208,11084,6516,11086,4944,814,5364,11090,11112,11092,11096,11094,5364,5400,5208,11098,11108,11100,11104,11102,5364,5400,5208,5492,11106,35,58,5604,11110,35,58,9854,9990,11116,11168,11118,11122,11120,5364,5400,5208,11124,6312,11126,11130,11128,5364,5400,5208,6598,11132,11134,11138,58,11136,35,101,11140,11144,58,11142,35,120,11146,11150,58,11148,35,112,11152,11156,58,11154,35,111,11158,11162,58,11160,35,114,11164,75,58,11166,35,116,11170,6312,11172,11174,808,5208,11176,6516,11178,5140,814,5364,11182,11184,66,5374,11186,11194,66,11188,5374,11190,11192,10600,5374,10280,11196,11198,66,10708,11200,9720,82,11202,35,0,11206,11220,66,11208,11210,11212,814,5364,11214,11216,66,5120,8274,11218,1060,874,11222,11228,82,11224,5604,11226,35,59,11230,11232,66,5450,11234,11236,66,8702,11238,9720,82,11240,35,0,5200,11244,11246,10910,11248,11250,802,5284,11252,11258,11254,5578,11256,5364,5400,5208,11260,11286,11262,11264,814,5364,11266,1656,66,11268,836,11270,11272,11280,832,11274,11276,75,58,11278,35,58,11282,350,832,11284,35,5,5418,10440,11290,11330,836,11292,11294,11310,4434,11296,722,11298,11300,11304,58,11302,35,40,11306,75,58,11308,35,41,11312,75,836,11314,11316,75,408,11318,11320,11324,58,11322,35,40,11326,75,58,11328,35,41,11332,11434,836,11334,11336,11364,4434,11338,722,11340,11342,11346,58,11344,35,66,11348,11352,58,11350,35,111,11354,11358,58,11356,35,111,11360,75,58,11362,35,108,11366,11396,836,11368,11370,75,408,11372,11374,11378,58,11376,35,84,11380,11384,58,11382,35,114,11386,11390,58,11388,35,117,11392,75,58,11394,35,101,11398,75,836,11400,11402,75,408,11404,11406,11410,58,11408,35,70,11412,11416,58,11414,35,97,11418,11422,58,11420,35,108,11424,11428,58,11426,35,115,11430,75,58,11432,35,101,11436,11544,836,11438,11440,11468,4434,11442,11444,11460,696,11446,722,11448,11450,11454,58,11452,35,91,11456,75,58,11458,35,93,712,11462,11464,75,58,11466,35,97,11470,11488,836,11472,11474,75,408,11476,11478,11482,58,11480,35,91,11484,75,58,11486,35,93,11490,75,836,11492,11494,11502,408,11496,11498,75,58,11500,35,58,11504,11514,836,11506,712,11508,11510,75,58,11512,35,97,11516,75,836,11518,11520,11536,696,11522,722,11524,11526,11530,58,11528,35,91,11532,75,58,11534,35,93,712,11538,11540,75,58,11542,35,97,11546,75,836,11548,11550,11584,4434,11552,11554,11576,696,11556,11558,11568,696,11560,722,11562,11564,75,58,11566,35,44,712,11570,11572,75,58,11574,35,97,712,11578,11580,75,58,11582,35,98,11586,75,836,11588,11590,11598,408,11592,11594,75,58,11596,35,44,11600,11610,836,11602,712,11604,11606,75,58,11608,35,97,11612,75,836,11614,712,11616,11618,75,58,11620,35,98,11624,13576,11626,11638,82,11628,11630,3692,66,11632,492,11634,3692,11636,35,81,11640,11650,66,11642,66,11644,1664,11646,1024,11648,1018,3690,11652,13492,83,11654,11656,11658,66,83,11660,11664,66,11662,66,1652,11666,11794,66,11668,83,11670,11672,11674,66,836,11676,11710,66,11678,832,11680,11682,11686,58,11684,35,105,11688,11692,58,11690,35,110,11694,11698,58,11696,35,116,11700,11704,58,11702,35,69,11706,75,58,11708,35,113,11712,11790,66,11714,832,11716,11718,11740,3670,11720,722,11722,11724,11728,58,11726,35,73,11730,11734,58,11732,35,110,11736,75,58,11738,35,116,11742,11764,3670,11744,722,11746,11748,11752,58,11750,35,73,11754,11758,58,11756,35,110,11760,75,58,11762,35,116,722,11766,11768,11772,58,11770,35,66,11774,11778,58,11776,35,111,11780,11784,58,11782,35,111,11786,75,58,11788,35,108,84,11792,35,61,11796,11924,66,11798,83,11800,11802,11804,66,836,11806,11840,66,11808,832,11810,11812,11816,58,11814,35,105,11818,11822,58,11820,35,110,11824,11828,58,11826,35,116,11830,11834,58,11832,35,76,11836,75,58,11838,35,69,11842,11920,66,11844,832,11846,11848,11870,3670,11850,722,11852,11854,11858,58,11856,35,73,11860,11864,58,11862,35,110,11866,75,58,11868,35,116,11872,11894,3670,11874,722,11876,11878,11882,58,11880,35,73,11884,11888,58,11886,35,110,11890,75,58,11892,35,116,722,11896,11898,11902,58,11900,35,66,11904,11908,58,11906,35,111,11910,11914,58,11912,35,111,11916,75,58,11918,35,108,84,11922,35,76,11926,12072,66,11928,83,11930,11932,11934,66,836,11936,11976,66,11938,832,11940,11942,11946,58,11944,35,99,11948,11952,58,11950,35,104,11954,11958,58,11956,35,97,11960,11964,58,11962,35,114,11966,11970,58,11968,35,69,11972,75,58,11974,35,113,11978,12068,66,11980,832,11982,11984,12012,3670,11986,722,11988,11990,11994,58,11992,35,67,11996,12000,58,11998,35,104,12002,12006,58,12004,35,97,12008,75,58,12010,35,114,12014,12042,3670,12016,722,12018,12020,12024,58,12022,35,67,12026,12030,58,12028,35,104,12032,12036,58,12034,35,97,12038,75,58,12040,35,114,722,12044,12046,12050,58,12048,35,66,12052,12056,58,12054,35,111,12058,12062,58,12060,35,111,12064,75,58,12066,35,108,84,12070,35,61,12074,12220,66,12076,67,12078,12080,12082,66,836,12084,12124,66,12086,832,12088,12090,12094,58,12092,35,99,12096,12100,58,12098,35,104,12102,12106,58,12104,35,97,12108,12112,58,12110,35,114,12114,12118,58,12116,35,76,12120,75,58,12122,35,69,12126,12216,66,12128,832,12130,12132,12160,3670,12134,722,12136,12138,12142,58,12140,35,67,12144,12148,58,12146,35,104,12150,12154,58,12152,35,97,12156,75,58,12158,35,114,12162,12190,3670,12164,722,12166,12168,12172,58,12170,35,67,12174,12178,58,12176,35,104,12180,12184,58,12182,35,97,12186,75,58,12188,35,114,722,12192,12194,12198,58,12196,35,66,12200,12204,58,12202,35,111,12206,12210,58,12208,35,111,12212,75,58,12214,35,108,84,12218,35,76,12222,12312,66,12224,836,12226,12228,12242,832,12230,12232,12236,58,12234,35,105,12238,75,58,12240,35,102,12244,12308,832,12246,12248,12276,3670,12250,722,12252,12254,12258,58,12256,35,66,12260,12264,58,12262,35,111,12266,12270,58,12268,35,111,12272,75,58,12274,35,108,12278,12288,3670,12280,712,12282,12284,75,58,12286,35,97,12290,12300,3670,12292,712,12294,12296,75,58,12298,35,97,712,12302,12304,75,58,12306,35,97,3692,12310,35,73,12314,12398,66,12316,836,12318,12320,12340,832,12322,12324,12328,58,12326,35,99,12330,12334,58,12332,35,104,12336,75,58,12338,35,114,12342,12394,832,12344,12346,12368,3670,12348,722,12350,12352,12356,58,12354,35,73,12358,12362,58,12360,35,110,12364,75,58,12366,35,116,722,12370,12372,12376,58,12374,35,67,12378,12382,58,12380,35,104,12384,12388,58,12386,35,97,12390,75,58,12392,35,114,3692,12396,35,73,12400,12484,66,12402,836,12404,12406,12426,832,12408,12410,12414,58,12412,35,111,12416,12420,58,12418,35,114,12422,75,58,12424,35,100,12428,12480,832,12430,12432,12460,3670,12434,722,12436,12438,12442,58,12440,35,67,12444,12448,58,12446,35,104,12450,12454,58,12452,35,97,12456,75,58,12458,35,114,722,12462,12464,12468,58,12466,35,73,12470,12474,58,12472,35,110,12476,75,58,12478,35,116,3692,12482,35,73,12486,13432,82,12488,12490,12638,836,12492,12494,12532,832,12496,12498,12502,58,12500,35,105,12504,12508,58,12506,35,111,12510,12514,58,12512,35,66,12516,12520,58,12518,35,105,12522,12526,58,12524,35,110,12528,75,58,12530,35,100,12534,12634,832,12536,12538,12566,3670,12540,12542,12558,696,12544,722,12546,12548,12552,58,12550,35,73,12554,75,58,12556,35,79,712,12560,12562,75,58,12564,35,97,12568,12608,3670,12570,12572,12582,3670,12574,712,12576,12578,75,58,12580,35,97,12584,12600,696,12586,722,12588,12590,12594,58,12592,35,73,12596,75,58,12598,35,79,712,12602,12604,75,58,12606,35,98,12610,12626,696,12612,722,12614,12616,12620,58,12618,35,73,12622,75,58,12624,35,79,712,12628,12630,75,58,12632,35,98,3692,12636,35,67,12640,12728,836,12642,12644,12682,832,12646,12648,12652,58,12650,35,105,12654,12658,58,12656,35,111,12660,12664,58,12662,35,80,12666,12670,58,12668,35,117,12672,12676,58,12674,35,114,12678,75,58,12680,35,101,12684,12724,832,12686,12688,12698,3670,12690,712,12692,12694,75,58,12696,35,97,12700,12716,696,12702,722,12704,12706,12710,58,12708,35,73,12712,75,58,12714,35,79,712,12718,12720,75,58,12722,35,97,3692,12726,35,86,12730,12836,836,12732,12734,12802,832,12736,12738,12742,58,12740,35,101,12744,12748,58,12746,35,120,12750,12754,58,12752,35,105,12756,12760,58,12758,35,116,12762,12766,58,12764,35,83,12768,12772,58,12770,35,117,12774,12778,58,12776,35,99,12780,12784,58,12782,35,99,12786,12790,58,12788,35,101,12792,12796,58,12794,35,115,12798,75,58,12800,35,115,12804,12832,832,12806,12808,12824,696,12810,722,12812,12814,12818,58,12816,35,73,12820,75,58,12822,35,79,712,12826,12828,75,58,12830,35,97,3692,12834,35,46,12838,13004,836,12840,12842,12934,832,12844,12846,12850,58,12848,35,117,12852,12856,58,12854,35,110,12858,12862,58,12860,35,115,12864,12868,58,12866,35,97,12870,12874,58,12872,35,102,12876,12880,58,12878,35,101,12882,12886,58,12884,35,80,12888,12892,58,12890,35,101,12894,12898,58,12896,35,114,12900,12904,58,12902,35,102,12906,12910,58,12908,35,111,12912,12916,58,12914,35,114,12918,12922,58,12920,35,109,12924,12928,58,12926,35,73,12930,75,58,12932,35,79,12936,12976,832,12938,12940,12968,3670,12942,12944,12960,696,12946,722,12948,12950,12954,58,12952,35,73,12956,75,58,12958,35,79,712,12962,12964,75,58,12966,35,97,712,12970,12972,75,58,12974,35,97,12978,13000,492,12980,12982,12988,492,12984,3692,12986,35,67,12990,12996,492,12992,3692,12994,35,84,3692,12998,35,63,3692,13002,35,75,13006,13218,836,13008,13010,13042,832,13012,13014,13018,58,13016,35,106,13020,13024,58,13022,35,111,13026,13030,58,13028,35,105,13032,13036,58,13034,35,110,13038,75,58,13040,35,35,13044,13054,832,13046,712,13048,13050,75,58,13052,35,97,13056,13150,492,13058,532,13060,13062,13066,58,13064,35,117,13068,13072,58,13070,35,110,13074,13078,58,13076,35,115,13080,13084,58,13082,35,97,13086,13090,58,13088,35,102,13092,13096,58,13094,35,101,13098,13102,58,13100,35,80,13104,13108,58,13106,35,101,13110,13114,58,13112,35,114,13116,13120,58,13118,35,102,13122,13126,58,13124,35,111,13128,13132,58,13130,35,114,13134,13138,58,13136,35,109,13140,13144,58,13142,35,73,13146,75,58,13148,35,79,532,13152,13154,13158,58,13156,35,101,13160,13164,58,13162,35,120,13166,13170,58,13168,35,105,13172,13176,58,13174,35,116,13178,13182,58,13180,35,83,13184,13188,58,13186,35,117,13190,13194,58,13192,35,99,13196,13200,58,13198,35,99,13202,13206,58,13204,35,101,13208,13212,58,13210,35,115,13214,75,58,13216,35,115,13220,75,836,13222,13224,13256,832,13226,13228,13232,58,13230,35,102,13234,13238,58,13236,35,97,13240,13244,58,13242,35,105,13246,13250,58,13248,35,108,13252,75,58,13254,35,35,13258,13268,832,13260,712,13262,13264,75,58,13266,35,97,13270,13364,492,13272,532,13274,13276,13280,58,13278,35,117,13282,13286,58,13284,35,110,13288,13292,58,13290,35,115,13294,13298,58,13296,35,97,13300,13304,58,13302,35,102,13306,13310,58,13308,35,101,13312,13316,58,13314,35,80,13318,13322,58,13320,35,101,13324,13328,58,13326,35,114,13330,13334,58,13332,35,102,13336,13340,58,13338,35,111,13342,13346,58,13344,35,114,13348,13352,58,13350,35,109,13354,13358,58,13356,35,73,13360,75,58,13362,35,79,532,13366,13368,13372,58,13370,35,101,13374,13378,58,13376,35,120,13380,13384,58,13382,35,105,13386,13390,58,13388,35,116,13392,13396,58,13394,35,83,13398,13402,58,13400,35,117,13404,13408,58,13406,35,99,13410,13414,58,13412,35,99,13416,13420,58,13418,35,101,13422,13426,58,13424,35,115,13428,75,58,13430,35,115,13434,13436,66,836,13438,13466,66,13440,832,13442,13444,13448,58,13446,35,115,13450,13454,58,13452,35,117,13456,13460,58,13458,35,99,13462,75,58,13464,35,99,13468,832,82,13470,13472,13478,492,13474,3692,13476,35,84,13480,13488,492,13482,560,13484,662,13486,35,1,3692,13490,35,43,13494,13528,66,13496,82,13498,13500,13504,58,13502,35,43,13506,13510,58,13508,35,45,13512,13516,58,13514,35,42,13518,13522,58,13520,35,47,13524,75,58,13526,35,37,13530,13534,66,13532,66,1664,13536,13546,66,13538,66,13540,83,13542,13544,1660,66,832,13548,13550,66,66,13552,13554,66,832,3670,13556,722,13558,13560,13564,58,13562,35,73,13566,13570,58,13568,35,110,13572,75,58,13574,35,116,13578,13600,3670,13580,722,13582,13584,13588,58,13586,35,73,13590,13594,58,13592,35,110,13596,75,58,13598,35,116,722,13602,13604,13608,58,13606,35,73,13610,13614,58,13612,35,110,13616,75,58,13618,35,116,13622,13626,66,13624,82,144,13628,13632,66,13630,82,75,13634,13638,66,13636,66,83,13640,13644,66,13642,82,75,13646,13650,66,13648,66,66,13652,13758,83,13654,13656,13658,66,67,13660,13738,83,13662,13664,13666,66,67,13668,13680,66,13670,67,13672,13674,73,82,13676,13678,238,66,296,13682,13698,66,13684,83,13686,13688,13690,82,73,13692,13694,66,1202,13696,228,66,296,67,13700,13702,13704,82,75,13706,13708,66,1250,13710,13718,66,13712,82,13714,13716,316,814,1206,13720,13724,66,13722,66,66,13726,13732,66,13728,82,13730,784,338,67,13734,800,13736,1060,874,13740,13620,83,13742,13744,13746,66,67,13748,13752,66,13750,66,66,13754,13620,66,13756,66,250,13760,13766,66,13762,66,13764,66,278,13768,13772,66,13770,66,13620,67,836,13776,678,66,238,13780,13860,83,13782,13784,13786,66,67,13788,13838,66,13790,67,13792,13794,13810,82,13796,13798,13800,66,174,13802,13804,66,188,212,13806,13774,13808,35,84,13812,73,82,13814,174,13816,188,13818,13820,13834,212,13822,13824,13830,212,13826,13774,13828,35,83,13774,13832,35,73,13774,13836,35,73,13840,13844,66,13842,66,174,84,13846,188,13848,13850,13856,212,13852,13774,13854,35,83,13774,13858,35,73,13862,13866,66,13864,66,174,84,13868,188,13870,13774,13872,35,84,13876,13942,83,13878,13880,13882,66,83,13884,13888,66,13886,66,67,13890,13920,66,13892,83,13894,13896,13898,66,67,13900,13914,83,13902,13904,13906,66,67,13908,13910,66,84,13912,188,66,174,13916,212,66,13918,66,188,13922,13928,66,13924,66,13926,66,174,13930,66,82,13932,13934,13936,66,188,212,13938,13774,13940,35,66,13944,13950,66,13946,66,13948,66,162,13952,66,82,188,13956,14078,83,13958,13960,13962,66,83,13964,13968,66,13966,66,67,13970,14058,83,13972,13974,13976,66,83,13978,13982,66,13980,66,67,13984,14032,83,13986,13988,13990,66,83,13992,13996,66,13994,66,67,13998,14002,66,14000,66,84,14004,14008,66,14006,66,174,14010,14020,66,14012,82,14014,188,14016,13774,14018,35,73,14022,14024,83,66,84,14026,188,14028,13774,14030,35,83,14034,14040,66,14036,66,14038,66,174,14042,14044,66,67,14046,66,82,14048,14050,14052,66,188,212,14054,13774,14056,35,82,14060,14066,66,14062,66,14064,66,174,14068,14070,83,66,84,14072,188,14074,13774,14076,35,83,14080,14086,66,14082,66,14084,66,174,14088,14090,83,66,84,14092,188,14094,13774,14096,35,67,14100,14176,83,14102,14104,14106,66,83,14108,14112,66,14110,66,67,14114,14156,83,14116,14118,14120,66,83,14122,14126,66,14124,66,67,14128,14140,66,14130,83,14132,14134,14136,66,67,14138,174,66,84,14142,14148,66,14144,66,14146,66,162,14150,14154,66,14152,82,188,66,66,14158,14164,66,14160,66,14162,66,174,14166,14168,83,66,84,14170,188,14172,13774,14174,35,66,66,14178,66,162,14182,14188,82,14184,67,14186,14098,14180,14190,14192,66,83,14194,14200,82,14196,67,14198,13954,14180,14202,14204,66,83,14206,14212,82,14208,67,14210,13874,14180,14214,14216,66,83,14218,14222,82,14220,13778,14180,14224,73,66,66,14228,14242,82,14230,14232,14234,82,14226,14236,14238,66,66,14240,14226,66,14180,14244,14286,82,14246,14248,14258,82,14250,14180,14252,188,14254,13774,14256,35,75,14260,14262,82,73,14264,14276,82,14266,14268,14270,66,188,212,14272,13774,14274,35,75,14278,14226,82,14280,188,14282,13774,14284,35,73,14288,14290,82,188,14292,14298,82,14294,14296,14226,66,162,14300,73,82,204,14304,14332,66,14306,14308,14310,82,144,14312,14314,82,75,14316,14318,66,83,14320,14322,82,75,14324,14326,66,83,14328,73,66,14330,82,73,14334,14336,66,14226,13620,75,14340,14344,66,14342,82,846,14346,14354,66,14348,82,14350,14352,75,66,75,14356,14360,66,14358,66,83,14362,14366,66,14364,82,75,14368,14372,66,14370,66,83,14374,14424,82,14376,14378,14380,66,67,14382,14386,66,14384,82,75,14388,14392,66,14390,66,83,14394,14398,66,14396,82,75,14400,14404,66,14402,66,83,14406,14410,66,14408,82,75,14412,14416,66,14414,66,66,14418,14420,66,84,67,14422,800,876,14426,14428,66,66,14430,73,66,66,14434,14554,83,14436,14438,14440,66,67,14442,14450,66,14444,83,14446,14448,75,83,73,14452,14534,66,14454,83,14456,14458,14460,66,66,67,14462,14464,14470,82,14466,14468,75,66,75,14472,14474,66,83,14476,75,83,14478,14480,14482,66,67,14484,14490,83,14486,14488,73,66,66,14492,14494,66,67,14496,14500,66,14498,82,75,14502,14506,66,14504,66,83,14508,14512,66,14510,82,75,14514,14518,66,14516,66,83,14520,14524,66,14522,82,75,14526,14530,66,14528,66,66,14532,75,66,84,14536,14548,66,14538,67,14540,14542,14544,66,66,14546,1202,82,73,67,14550,3458,14552,924,878,14556,14432,83,14558,14560,14562,66,66,14564,14566,66,67,14568,14432,66,14570,66,14572,67,14574,14576,14588,83,14578,14580,14582,66,83,14584,14338,82,14586,35,73,14590,14876,83,14592,14594,14596,66,83,14598,14608,66,14600,83,14602,14604,14338,82,14606,35,73,14610,212,83,14612,14614,14616,66,83,14618,14778,82,14620,14622,14766,66,14624,83,14626,14628,14630,66,83,14632,14640,66,14634,82,14636,14638,75,66,75,14642,14646,66,14644,66,83,14648,14652,66,14650,82,75,14654,14658,66,14656,66,83,14660,14758,82,14662,14664,14666,66,67,14668,14672,66,14670,82,75,14674,14678,66,14676,66,83,14680,14684,66,14682,82,75,14686,14690,66,14688,66,83,14692,14696,66,14694,82,75,14698,14702,66,14700,66,83,14704,14712,66,14706,67,14708,14710,73,66,66,14714,14734,83,14716,14718,14720,66,66,14722,14724,66,83,67,14726,14728,14732,82,14730,35,66,800,874,14736,14738,66,67,14740,14752,66,14742,67,14744,14746,14750,82,14748,35,82,800,874,212,14754,13774,14756,35,84,14760,14762,66,66,14764,73,66,66,67,14768,14770,14772,66,67,14774,212,66,14776,66,212,14780,14782,66,66,14784,14786,66,67,14788,14790,82,75,14792,14794,66,83,14796,14872,82,14798,67,14800,14802,14804,82,75,14806,14808,66,83,14810,14812,82,75,14814,14816,66,83,14818,14820,82,75,14822,14824,66,83,14826,14868,82,14828,14830,14850,66,14832,83,14834,14836,14842,82,14838,13774,14840,35,84,14844,14848,82,14846,35,67,800,874,67,14852,14854,14860,82,14856,13774,14858,35,73,14862,14866,82,14864,35,66,800,874,14870,73,66,66,14874,73,66,66,14878,212,83,14880,14882,14884,66,83,14886,14896,66,14888,83,14890,14892,14338,82,14894,35,84,14898,212,83,14900,14902,14904,66,66,14906,15114,82,14908,67,14910,14912,14914,66,67,14916,14924,66,14918,82,14920,14922,75,66,75,14926,14930,66,14928,66,83,14932,14936,66,14934,82,75,14938,14942,66,14940,66,83,14944,15106,82,14946,14948,14950,66,67,14952,14956,66,14954,82,75,14958,14962,66,14960,66,83,14964,14968,66,14966,82,75,14970,14974,66,14972,66,83,14976,14980,66,14978,82,75,14982,14986,66,14984,66,83,14988,14996,66,14990,67,14992,14994,73,66,66,14998,15000,66,67,15002,15006,66,15004,82,73,15008,15012,66,15010,66,83,15014,15028,66,15016,67,15018,15020,15022,66,66,15024,15026,800,874,35,66,15030,15036,82,15032,15034,75,66,75,15038,15040,66,83,15042,15044,82,75,15046,15048,66,83,15050,15102,82,15052,67,15054,15056,15058,82,75,15060,15062,66,83,15064,15066,82,75,15068,15070,66,83,15072,15074,82,75,15076,15078,66,83,15080,15098,82,15082,67,15084,15086,15092,82,15088,13774,15090,35,86,15094,15096,800,874,35,67,15100,73,66,66,15104,73,66,66,15108,15110,66,66,15112,73,66,66,15116,15118,66,83,15120,15122,82,75,15124,15126,66,83,15128,15130,82,75,15132,73,66,66,15136,15340,83,15138,15140,15142,66,67,15144,15150,66,15146,82,15148,75,144,15152,15154,66,84,15156,15300,83,15158,15160,15162,66,67,15164,15242,83,15166,15168,15170,66,67,15172,15188,83,15174,15176,15178,66,67,15180,15182,66,84,67,15184,15186,73,66,832,15190,15238,82,15192,15194,15202,66,15196,83,15198,15200,832,66,66,15204,15222,66,15206,67,15208,15210,15212,66,66,15214,15216,66,832,15218,136,82,15220,35,2,15224,15228,66,15226,67,66,15230,836,66,15232,66,15234,836,15236,35,35,15240,73,66,66,15244,15296,82,15246,15248,15256,66,15250,83,15252,15254,832,66,66,15258,15276,66,15260,67,15262,15264,15266,66,66,15268,15270,66,832,15272,136,82,15274,35,2,15278,15282,66,15280,67,66,15284,15292,66,15286,66,15288,836,15290,35,35,15294,73,66,836,15298,73,66,66,15302,15336,82,15304,15306,15332,1250,15308,15310,15312,66,212,15314,15322,66,15316,212,15318,13774,15320,35,58,15324,13774,66,15326,212,15328,13774,15330,35,35,13774,15334,35,75,15338,15134,66,66,15342,15516,82,15344,15346,15356,66,15348,66,15350,83,15352,15354,832,66,66,15358,15366,66,15360,66,15362,66,15364,66,1012,15368,15376,66,15370,66,15372,66,15374,66,89,15378,15380,66,67,15382,15386,66,15384,66,67,15388,15394,66,15390,66,15392,66,67,15396,15404,66,15398,66,15400,66,15402,66,15134,15406,15414,66,15408,66,15410,66,15412,66,1012,15416,15422,66,15418,66,15420,66,89,67,15424,15426,15428,66,67,15430,15434,66,15432,66,67,15436,15442,66,15438,66,15440,66,67,15444,15452,66,15446,66,15448,66,15450,66,15134,15454,15494,82,15456,15458,15486,82,15460,15462,15468,82,15464,15466,1008,66,836,15470,15472,66,83,15474,15478,66,15476,66,66,15480,15484,66,15482,66,836,66,1008,15488,15490,66,66,15492,66,66,66,15496,15498,66,66,15500,15502,66,66,15504,15506,66,66,15508,15510,66,832,15512,136,82,15514,35,2,15518,15520,66,66,15522,73,66,66,15526,15530,66,15528,82,144,15532,15536,66,15534,82,75,15538,15542,66,15540,66,83,15544,15548,66,15546,82,75,15550,15554,66,15552,66,66,15556,15626,83,15558,15560,15562,66,67,15564,15606,83,15566,15568,15570,66,67,15572,15584,66,15574,67,15576,15578,73,82,15580,75,15582,35,0,15586,15592,66,15588,82,15590,35,0,15594,15600,66,15596,82,15598,35,1,67,15602,800,15604,1060,874,15608,15524,83,15610,15612,15614,66,67,15616,15620,66,15618,66,66,15622,15524,66,15624,66,136,15628,15524,83,15630,15632,15634,66,67,15636,15640,66,15638,66,66,15642,15648,66,15644,82,15646,35,0,800,15650,1060,874,15654,15524,83,15656,15658,15660,66,83,15662,15694,83,15664,15666,15668,66,83,15670,15674,66,15672,66,83,15676,15688,66,15678,66,15680,67,15682,15684,15686,798,878,35,2,15690,454,66,15692,66,492,15696,15716,66,15698,83,15700,15702,15704,66,67,15706,75,66,15708,67,15710,15712,15714,800,874,35,0,15718,8206,66,67,15722,73,83,15724,15726,15728,82,75,15730,15732,66,83,15734,15736,82,75,15738,15740,66,83,15742,15754,66,15744,82,15746,15748,15750,82,15720,15752,454,66,66,15756,15862,66,15758,82,15760,15762,15850,83,15764,15766,15768,66,83,15770,15774,66,15772,82,75,15776,15780,66,15778,66,83,15782,15786,66,15784,82,75,15788,15792,66,15790,66,83,15794,15814,82,15796,15798,15720,66,15800,67,15802,15804,15806,66,67,15808,15810,82,15720,15812,15652,66,66,15816,15818,66,66,15820,15822,66,67,15824,15830,82,15826,15828,75,66,75,15832,15834,66,83,15836,15838,82,75,15840,15842,66,83,15844,15846,82,75,15848,73,66,66,15852,15854,82,15720,15856,15858,66,66,15860,15720,66,492,15864,15866,82,75,15868,15870,66,83,15872,15874,82,75,15876,73,66,66,15880,73,83,15882,15884,15886,66,1664,15888,15890,66,84,15892,15896,66,15894,66,75,15898,15902,66,15900,83,832,15904,15912,66,15906,66,15908,15910,73,1202,1476,15914,15922,66,15916,67,15918,3458,15920,924,878,15924,75,1582,15926,15928,15930,66,84,15932,73,83,15934,15936,15938,66,67,15940,15944,66,15942,66,67,15946,15958,66,15948,67,15950,15952,15954,66,66,2914,15956,924,878,15960,15966,82,15962,15964,15720,66,14302,15968,14432,66,66,15972,16012,83,15974,15976,15978,66,67,15980,15988,66,15982,67,15984,15986,75,83,73,15990,16006,66,15992,66,15994,15996,15998,1202,1476,16000,16002,66,238,16004,73,66,678,67,16008,3458,16010,924,878,16014,15970,83,16016,16018,16020,66,67,16022,16026,66,16024,66,66,16028,15970,66,16030,66,212,16034,15878,66,16036,16038,16226,1582,16040,16042,16222,82,16044,16046,16214,82,16048,16050,16108,83,16052,16054,16056,66,67,16058,16062,66,16060,66,83,16064,16070,66,16066,66,16068,66,67,16072,16084,66,16074,83,16076,16078,16080,66,66,16082,15134,66,66,16086,16092,66,16088,66,16090,66,15970,67,16094,16096,16098,66,67,16100,1008,66,16102,67,16104,2914,16106,924,878,16110,16182,66,16112,82,16114,16116,16120,66,16118,83,73,16122,16124,66,67,16126,16130,66,16128,66,67,16132,16146,83,16134,16136,16138,66,83,16140,16144,66,16142,66,66,800,874,16148,16166,66,16150,67,16152,16154,16156,66,66,16158,16160,66,832,16162,136,82,16164,35,2,16168,16172,66,16170,67,66,16174,836,66,16176,66,16178,836,16180,35,73,16184,16188,66,16186,66,83,16190,16196,66,16192,66,16194,66,66,16198,16204,66,16200,66,16202,66,832,67,16206,16208,16210,66,67,2914,16212,924,878,16216,16218,66,66,16220,73,66,66,16224,73,66,66,16228,16230,832,75,16232,73,832,16234,35,128,16238,16274,83,16240,16242,16244,66,67,16246,16254,66,16248,83,16250,16252,75,83,73,16256,16268,66,16258,67,16260,16262,16264,66,66,16266,1202,82,73,67,16270,1682,16272,1060,874,16276,16236,83,16278,16280,16282,66,67,16284,16288,66,16286,66,66,16290,16236,66,16292,66,696,16296,73,83,16298,16300,16302,66,67,16304,16308,66,16306,66,1652,16310,16312,66,1664,16314,16236,66,1024,16318,16340,83,16320,16322,16324,66,67,16326,16336,66,16328,67,16330,16332,73,82,16334,75,846,800,16338,1060,874,16342,16316,83,16344,16346,16348,66,67,16350,16354,66,16352,66,66,16356,16316,66,16358,66,1050,16362,16450,83,16364,16366,16368,66,83,16370,16406,83,16372,16374,16376,66,83,16378,16382,66,16380,83,73,16384,16388,66,16386,66,75,16390,16394,66,16392,66,784,16396,16400,66,16398,82,75,16402,832,66,16404,66,836,16408,16414,66,16410,66,16412,66,784,16416,16438,83,16418,16420,16422,66,66,16424,16426,66,67,16428,16432,66,16430,82,75,67,16434,800,16436,1060,874,16440,16444,66,16442,82,75,16446,832,66,16448,66,836,16452,16456,66,16454,66,75,16458,16462,66,16460,66,75,16464,16476,83,16466,16468,16470,66,83,16472,16316,66,16474,82,75,16478,16482,66,16480,66,784,16484,16488,66,16486,82,75,16490,832,66,16492,66,836,16496,16572,66,16498,83,16500,16502,16504,66,83,16506,16510,82,16508,67,16360,16512,16514,66,83,16516,16522,83,16518,16520,73,66,66,16524,16534,66,16526,66,16528,82,16530,75,16532,75,75,16536,16570,66,16538,67,16540,16542,16544,66,67,16546,16566,82,16548,16550,16554,66,16552,82,75,16556,16562,66,16558,82,16560,784,75,800,16564,1060,874,16568,73,66,66,67,16360,16574,16608,66,16576,67,16578,16580,16582,66,67,16584,16588,66,16586,66,66,16590,16594,66,16592,66,66,16596,16606,66,16598,67,16600,16602,73,82,16604,75,75,67,16360,16610,73,83,16612,16614,16616,66,67,16618,16622,66,16620,66,66,16624,16628,66,16626,66,67,16630,16636,66,16632,66,16634,66,66,16638,16494,66,16640,66,16642,66,16644,802,1240,16648,16662,66,16650,66,16652,83,16654,16656,16660,66,16658,814,1206,67,16294,16664,16668,82,16666,67,16236,16670,16672,66,66,16674,16676,66,83,16678,16684,66,16680,66,16682,16494,16646,67,16236,16688,16778,82,16690,16692,16764,66,16694,66,16696,82,16698,16700,16708,66,16702,67,16704,16706,73,66,66,16710,16748,66,16712,82,16714,16716,16724,66,16718,67,16720,16722,73,66,66,16726,16728,66,67,16730,16734,66,16732,66,67,16736,16742,66,16738,66,16740,66,832,16744,696,66,16746,66,832,16750,16754,66,16752,66,66,16756,16760,66,16758,66,67,16762,16686,66,67,16766,16772,66,16768,66,16770,66,66,16774,16776,66,67,67,16686,16780,16782,66,83,16784,16788,66,16786,66,83,16790,16902,82,16792,16794,16890,83,16796,16798,16800,66,83,16802,16806,66,16804,66,67,16808,16822,66,16810,83,16812,16814,16816,66,83,67,16818,1682,16820,1060,874,16824,16882,83,16826,16828,16830,66,67,16832,16836,66,16834,66,67,16838,16852,82,16840,67,16842,16844,16846,66,67,16848,832,66,16850,66,836,16854,16856,66,66,16858,16860,66,66,16862,16864,66,83,16866,16870,66,16868,66,832,16872,16876,66,16874,67,832,16878,136,82,16880,35,1,16884,16886,66,712,16888,4082,82,75,16892,16894,66,67,16896,16900,66,16898,66,832,67,832,16904,16906,66,83,16908,16912,66,16910,66,83,16914,16924,83,16916,16918,16920,66,66,16922,73,66,66,16926,16932,66,16928,66,16930,66,75,16934,832,66,16936,66,832,16940,17016,82,16942,16944,17008,82,16946,16948,16958,66,16950,66,16952,67,16954,16956,73,66,66,16960,16966,82,16962,16964,16686,66,67,16968,16970,66,66,16972,16974,66,66,16976,16978,66,67,16980,16984,66,16982,66,66,16986,16990,66,16988,66,1018,16992,16996,66,16994,66,1018,16998,404,66,17000,67,17002,17004,17006,66,66,67,836,17010,17012,66,66,17014,73,66,66,17018,73,66,66,17022,17090,82,17024,17026,17068,66,17028,82,17030,17032,17040,66,17034,67,17036,17038,73,66,66,17042,17056,66,17044,66,17046,67,17048,17050,17052,66,66,17054,400,66,1018,17058,17064,66,17060,66,17062,66,1008,17066,16686,66,67,17070,17074,66,17072,66,66,17076,17080,66,17078,1250,16938,17082,17084,82,75,17086,17088,66,832,832,75,17092,73,66,66,17096,17098,82,73,17100,17102,66,83,17104,17198,83,17106,17108,17110,66,67,17112,17116,66,17114,66,67,17118,17122,66,17120,82,75,17124,17128,66,17126,66,83,17130,17188,83,17132,17134,17136,66,67,17138,17142,66,17140,66,67,17144,17168,66,17146,67,17148,17150,17152,66,67,17154,17156,82,75,17158,17160,66,83,17162,17164,82,75,17166,73,66,66,17170,17094,83,17172,17174,17176,66,67,17178,17182,66,17180,66,66,17184,17094,66,17186,66,492,17190,17094,66,17192,67,17194,17196,454,66,66,17200,17202,66,84,17204,17210,66,17206,66,17208,66,412,17212,16236,66,17214,67,17216,17218,404,66,66,17222,17232,66,17224,66,17226,66,17228,66,17230,83,73,17234,17254,66,17236,66,17238,66,17240,66,17242,66,17244,82,17246,17248,17250,66,712,17252,4082,82,75,17256,17268,66,17258,66,17260,66,17262,66,17264,66,17266,66,83,17270,17352,66,17272,66,17274,82,17276,17278,17290,66,17280,66,17282,67,17284,17286,17288,66,67,67,17020,17292,17302,66,17294,66,17296,67,17298,17300,73,66,66,17304,17306,82,832,17308,17310,66,66,17312,17314,66,66,17316,17318,66,67,17320,17324,66,17322,66,67,17326,17332,66,17328,66,17330,66,832,17334,17340,66,17336,66,17338,67,832,17342,17346,82,17344,1664,412,17348,17350,66,66,1582,492,17354,17360,66,17356,66,17358,66,83,17362,17370,66,17364,66,17366,66,17368,66,67,17372,17382,66,17374,66,17376,66,17378,66,17380,66,83,17384,17396,66,17386,66,17388,66,17390,66,17392,66,17394,66,83,17398,17412,66,17400,66,17402,66,17404,66,17406,66,17408,66,17410,66,67,17414,17432,66,17416,66,17418,66,17420,66,17422,66,17424,66,17426,66,17428,66,17430,82,144,17434,17452,66,17436,66,17438,66,17440,66,17442,66,17444,66,17446,66,17448,66,17450,82,75,17454,17472,66,17456,66,17458,66,17460,66,17462,66,17464,66,17466,66,17468,66,17470,66,83,17474,17492,66,17476,66,17478,66,17480,66,17482,66,17484,66,17486,66,17488,66,17490,82,75,17494,17512,66,17496,66,17498,66,17500,66,17502,66,17504,66,17506,66,17508,66,17510,66,66,17514,18472,83,17516,17518,17520,66,83,17522,17526,66,17524,66,83,17528,17534,66,17530,66,17532,66,67,17536,17544,66,17538,66,17540,66,17542,66,67,17546,17556,66,17548,66,17550,66,17552,66,17554,66,83,17558,17570,66,17560,66,17562,66,17564,66,17566,66,17568,66,83,17572,17586,66,17574,66,17576,66,17578,66,17580,66,17582,66,17584,66,83,17588,17604,66,17590,66,17592,66,17594,66,17596,66,17598,66,17600,66,17602,66,67,17606,18102,66,17608,83,17610,17612,17614,66,83,17616,17620,66,17618,66,67,17622,17628,66,17624,66,17626,66,67,17630,17638,66,17632,66,17634,66,17636,66,66,17640,17648,66,17642,66,17644,66,17646,66,66,17650,17658,66,17652,66,17654,66,17656,66,66,17660,17668,66,17662,66,17664,66,17666,66,67,17670,17940,66,17672,66,17674,83,17676,17678,17680,66,83,17682,17686,66,17684,66,83,17688,17698,83,17690,17692,17694,66,66,17696,73,66,66,17700,17884,83,17702,17704,17706,66,83,17708,17712,66,17710,66,67,17714,17720,66,17716,66,17718,66,67,17722,17846,83,17724,17726,17728,66,83,17730,17734,66,17732,66,67,17736,17742,66,17738,66,17740,66,67,17744,17814,66,17746,66,17748,67,17750,17752,17754,66,67,17756,17758,66,84,17760,17764,66,17762,82,144,17766,17776,66,17768,67,17770,17772,17774,800,874,35,89,17778,73,82,17780,3690,17782,17784,17806,3670,17786,17788,17798,3670,17790,712,17792,17794,75,58,17796,35,97,712,17800,17802,75,58,17804,35,97,712,17808,17810,75,58,17812,35,97,17816,17820,66,17818,66,75,17822,17824,66,832,832,17826,722,17828,17830,17834,58,17832,35,73,17836,17840,58,17838,35,110,17842,75,58,17844,35,116,17848,17852,66,17850,66,75,17854,17856,66,832,832,17858,722,17860,17862,17866,58,17864,35,67,17868,17872,58,17870,35,104,17874,17878,58,17876,35,97,17880,75,58,17882,35,114,17886,17890,66,17888,66,75,17892,17894,66,832,832,17896,17898,17914,696,17900,722,17902,17904,17908,58,17906,35,91,17910,75,58,17912,35,93,722,17916,17918,17922,58,17920,35,67,17924,17928,58,17926,35,104,17930,17934,58,17932,35,97,17936,75,58,17938,35,114,17942,17960,66,17944,82,17946,17948,17958,66,17950,67,17952,17954,17956,66,66,67,832,67,832,17962,17966,66,17964,66,66,17968,17972,66,17970,66,66,17974,17978,66,17976,66,67,17980,17986,66,17982,66,17984,66,67,17988,18006,66,17990,67,17992,17994,17996,66,66,17998,18000,66,83,67,18002,1682,18004,1060,874,18008,18010,66,67,18012,18092,82,18014,18016,18018,66,1448,1652,18020,18022,18026,58,18024,35,98,18028,18032,58,18030,35,97,18034,18038,58,18036,35,100,18040,18044,58,18042,35,32,18046,18050,58,18048,35,115,18052,18056,58,18054,35,121,18058,18062,58,18060,35,109,18064,18068,58,18066,35,98,18070,18074,58,18072,35,111,18076,18080,58,18078,35,108,18082,18086,58,18084,35,58,18088,75,58,18090,35,32,18094,18096,66,83,67,18098,3458,18100,924,878,18104,18218,83,18106,18108,18110,66,83,18112,18116,66,18114,66,83,18118,18124,66,18120,66,18122,66,67,18126,18134,66,18128,66,18130,66,18132,66,67,18136,18146,66,18138,66,18140,66,18142,66,18144,66,66,18148,18158,66,18150,66,18152,66,18154,66,18156,66,67,18160,18172,66,18162,66,18164,66,18166,66,18168,66,18170,66,66,18174,18194,66,18176,66,18178,82,18180,18182,18190,82,18184,18186,136,82,18188,35,1,18192,832,66,66,18196,18202,66,18198,66,18200,66,66,18204,18210,66,18206,66,18208,66,66,18212,17220,66,18214,66,18216,66,67,18220,18236,66,18222,66,18224,66,18226,66,18228,66,18230,67,18232,18234,73,66,66,18238,18422,66,18240,66,18242,82,18244,18246,18258,66,18248,66,18250,66,18252,67,18254,18256,73,66,66,18260,18308,83,18262,18264,18266,66,66,18268,18270,66,67,18272,18276,66,18274,66,66,18278,18282,66,18280,66,66,18284,18288,66,18286,66,67,18290,18296,66,18292,66,18294,66,832,18298,18300,82,492,18302,18304,66,66,18306,832,66,66,18310,18314,66,18312,66,67,18316,18322,66,18318,66,18320,66,1018,18324,18410,66,18326,66,18328,66,18330,66,18332,18334,73,1202,18336,1448,18338,18340,18344,58,18342,35,117,18346,18350,58,18348,35,110,18352,18356,58,18354,35,105,18358,18362,58,18360,35,102,18364,18368,58,18366,35,121,18370,18374,58,18372,35,32,18376,18380,58,18378,35,102,18382,18386,58,18384,35,97,18388,18392,58,18390,35,105,18394,18398,58,18396,35,108,18400,18404,58,18402,35,101,18406,75,58,18408,35,100,18412,18420,66,18414,67,18416,18418,16646,66,66,67,3670,18424,18430,66,18426,66,18428,66,66,18432,18438,66,18434,66,18436,66,67,18440,18448,66,18442,66,18444,66,18446,66,67,18450,18460,66,18452,66,18454,66,18456,66,18458,66,66,18462,17220,66,18464,66,18466,66,18468,66,18470,66,66,18474,18532,66,18476,66,18478,66,18480,66,18482,66,18484,83,18486,18488,18490,66,83,18492,18496,66,18494,66,66,18498,18502,66,18500,66,1018,18504,18508,66,18506,66,84,18510,18512,82,454,18514,18516,66,66,18518,18520,66,67,18522,18526,66,18524,66,66,18528,3670,66,18530,66,832,18534,18554,66,18536,66,18538,82,18540,18542,18550,82,18544,18546,136,82,18548,35,1,18552,832,66,66,18556,18562,66,18558,66,18560,66,66,18564,18570,66,18566,66,18568,66,66,18572,18578,66,18574,66,18576,66,67,18580,18588,66,18582,66,18584,66,18586,66,67,18590,18600,66,18592,66,18594,66,18596,66,18598,66,67,18602,18620,66,18604,82,18606,67,18608,18610,18612,66,67,18614,18618,66,18616,66,836,67,832,18622,18626,66,18624,66,66,18628,18632,66,18630,66,66,18634,17220,66,18636,66,66,18640,18762,66,18642,66,18644,66,18646,82,18648,18650,18758,82,18652,18654,18750,82,18656,18658,18714,83,18660,18662,18664,66,66,18666,18668,66,67,18670,18674,66,18672,66,66,18676,18680,66,18678,82,144,16646,18682,712,18684,18686,18690,58,18688,35,115,18692,18696,58,18694,35,101,18698,18702,58,18700,35,108,18704,18708,58,18706,35,102,18710,75,58,18712,35,33,18716,18720,66,18718,66,67,18722,18728,66,18724,66,18726,66,832,18730,18734,82,18732,67,17094,18736,18738,66,66,18740,18742,66,83,18744,18748,66,18746,66,832,67,16236,18752,18754,66,66,18756,73,66,66,18760,73,66,66,18764,17220,66,18766,66,18768,66,18770,82,18772,18774,18776,832,75,35,0,84,18780,18782,18786,66,18784,82,846,18788,18860,82,18790,18792,18794,66,67,18796,18800,66,18798,66,67,18802,18832,82,18804,18806,18810,82,18808,800,18778,18812,18814,66,66,18816,18818,66,67,18820,18824,66,18822,66,66,18826,18830,66,18828,66,1054,800,18778,18834,18836,66,66,18838,18840,66,66,18842,18844,66,67,18846,18848,82,75,18850,18852,66,83,18854,18856,82,75,18858,73,66,66,18862,18864,66,83,18866,18870,66,18868,66,83,18872,18918,82,18874,18876,18878,66,67,18880,18888,66,18882,82,18884,18886,75,66,75,18890,18894,66,18892,66,83,18896,18902,82,18898,800,18900,1060,874,18904,18906,66,66,18908,18910,66,67,18912,18914,82,75,18916,73,66,66,18920,18922,66,83,18924,18928,66,18926,66,83,18930,18976,82,18932,18934,18936,66,67,18938,18946,66,18940,82,18942,18944,75,66,75,18948,18952,66,18950,66,83,18954,18958,66,18956,82,75,18960,18964,66,18962,66,66,18966,18972,82,18968,800,18970,1060,874,18974,73,66,66,18978,18980,66,66,18982,73,66,66,84,18986,18988,19032,82,18990,18992,19024,82,18994,18996,19000,82,18998,800,18778,19002,19004,66,66,19006,19008,66,67,19010,19014,66,19012,66,66,19016,19020,66,19018,66,1054,800,19022,1060,874,19026,19028,66,66,19030,73,66,66,19034,73,66,66,19038,19040,82,75,19042,19044,66,1250,19046,19050,66,19048,82,73,19052,19056,66,19054,66,83,19058,19060,82,836,19062,19064,66,83,19066,73,66,19068,66,66,19072,19074,66,67,19076,19080,66,19078,66,19036,19082,19090,66,19084,66,19086,82,19088,75,75,19092,19098,66,19094,66,19096,82,846,19100,19102,66,67,19104,800,66,19106,66,1636,19110,19114,66,19112,82,75,19116,19192,83,19118,19120,19122,66,83,19124,19172,83,19126,19128,19130,66,83,19132,19136,66,19134,66,1736,19138,19148,82,19140,19142,19144,82,712,19146,16236,66,66,19150,19152,66,66,19154,19156,66,83,19158,19164,66,19160,66,19162,800,18778,19166,19168,82,712,19170,16236,66,66,19174,19178,82,19176,1664,1008,19180,19182,66,66,19184,19190,66,19186,19070,19188,1060,874,1664,1008,19194,1652,66,19196,66,784,19200,19284,82,19202,19204,19210,66,19206,66,19208,82,75,19212,19256,82,19214,19216,19236,82,19218,19220,19224,66,19222,82,19108,19226,19230,66,19228,66,66,19232,19198,66,19234,82,75,19238,19240,66,66,19242,19244,66,67,19246,19250,66,19248,66,66,19252,19198,66,19254,82,75,19258,19260,66,66,19262,19264,66,66,19266,19268,66,67,19270,19272,82,75,19274,19276,66,83,19278,19280,82,75,19282,73,66,66,19286,19288,66,83,19290,19312,82,19292,19294,19298,66,19296,66,784,19300,19304,66,19302,82,75,19306,19310,66,19308,66,836,67,832,19314,19316,66,83,19318,19382,82,19320,19322,19326,66,19324,82,75,19328,19336,66,19330,82,19332,19334,75,66,75,19338,19342,66,19340,66,83,19344,19348,66,19346,82,75,19350,19354,66,19352,66,83,19356,19374,82,19358,19360,19362,66,67,19364,19370,66,19366,82,19368,784,75,800,19372,1060,874,19376,19378,66,66,19380,73,66,66,19384,73,66,66,19388,19396,66,19390,66,19392,836,19394,35,40,19398,66,82,19400,836,19402,35,41,19406,19612,82,19408,19410,19584,83,19412,19414,19416,66,83,19418,19560,82,19420,19422,19424,66,67,19426,19430,66,19428,66,67,19432,19442,66,19434,66,19436,82,19438,19440,75,66,75,19444,19450,66,19446,66,19448,66,83,19452,19458,66,19454,66,19456,82,75,19460,19466,66,19462,66,19464,66,83,19468,19480,66,19470,67,19472,19474,19476,66,66,19478,73,66,66,19482,19486,66,19484,66,67,19488,19512,66,19490,66,19492,67,19494,19496,19500,800,19498,1060,874,19502,19506,58,19504,35,45,19508,75,58,19510,35,62,19514,19518,66,19516,66,19386,19520,19528,66,19522,67,19524,19526,19404,66,66,19530,19404,66,19532,66,19534,1652,19536,19538,19542,58,19540,35,32,19544,19548,58,19546,35,45,19550,19554,58,19552,35,62,19556,75,58,19558,35,32,19562,19564,66,66,19566,19568,66,83,19570,19572,82,75,19574,19576,66,83,19578,19580,82,75,19582,73,66,66,19586,19590,66,19588,66,19386,19592,19604,82,19594,19596,19404,66,19598,66,19600,836,19602,35,32,19606,19608,66,66,19610,19404,66,66,19614,19616,82,1652,19618,73,82,1652,19622,73,82,19624,19626,19672,82,19628,19630,19638,66,19632,66,19634,836,19636,35,32,19640,19668,82,19642,1652,19644,19646,19650,58,19648,35,32,19652,19656,58,19654,35,61,19658,19662,58,19660,35,62,19664,75,58,19666,35,32,19670,19404,66,66,19674,19676,66,66,19678,1652,66,66,19682,19690,66,19684,66,19686,836,19688,35,123,19692,19720,82,19694,19696,19704,82,19698,19700,75,58,19702,35,125,19706,19708,66,1652,19710,19716,66,19712,836,19714,35,32,19718,19404,82,75,19722,1652,66,66,19726,19736,66,19728,66,19730,83,19732,19734,73,66,66,19738,19884,66,19740,83,19742,19744,19746,66,83,19748,19752,66,19750,66,67,19754,19760,66,19756,66,19758,66,66,19762,19768,66,19764,66,19766,66,66,19770,19774,66,19772,66,84,19776,19880,82,19778,19780,19796,66,19782,82,19784,19786,19792,66,19788,836,19790,35,42,19794,4082,82,75,19798,19802,66,19800,66,83,19804,19812,66,19806,66,19808,66,19810,66,774,19814,19820,66,19816,66,19818,82,532,19822,19828,66,19824,66,19826,66,83,19830,19838,66,19832,66,19834,66,19836,66,832,19840,19850,66,19842,82,19844,19846,136,82,19848,35,1,19852,19856,66,19854,66,66,19858,19862,66,19860,66,67,19864,19870,66,19866,66,19868,66,832,19872,19874,66,67,19876,832,66,19878,66,836,19882,73,66,66,19886,19902,66,19888,66,19890,66,19892,66,19894,66,19896,67,19898,19900,73,66,66,19904,19986,83,19906,19908,19910,66,83,19912,19916,66,19914,66,67,19918,19924,66,19920,66,19922,66,66,19926,19932,66,19928,66,19930,66,67,19934,19942,66,19936,66,19938,66,19940,66,67,19944,19954,66,19946,66,19948,66,19950,66,19952,66,66,19956,19966,66,19958,66,19960,66,19962,66,19964,66,83,19968,19724,66,19970,66,19972,66,19974,67,19976,19978,19980,66,66,19982,19984,66,67,67,19198,19988,19994,66,19990,66,19992,66,67,19996,20004,66,19998,66,20000,66,20002,66,67,20006,20026,82,20008,20010,20018,82,20012,20014,19680,66,20016,66,532,20020,20022,66,66,20024,832,66,66,20028,20030,66,66,20032,20034,66,66,20036,20038,66,66,20040,20042,66,67,20044,20052,66,20046,66,20048,20050,2012,1352,1980,20054,20064,66,20056,66,20058,67,20060,20062,73,66,66,20066,20080,66,20068,66,20070,67,20072,20074,20076,66,66,20078,73,66,66,20082,20108,66,20084,66,20086,66,20088,67,20090,20092,20094,66,66,20096,20098,66,66,20100,20104,66,20102,814,1966,20106,492,66,1024,20110,20114,66,20112,66,67,20116,20122,66,20118,66,20120,66,67,20124,20136,82,20126,20128,16236,66,20130,67,20132,20134,404,66,66,20138,20140,66,66,20142,66,66,66,20146,20152,66,20148,66,20150,83,73,20154,20162,66,20156,66,20158,66,20160,66,75,20164,20182,66,20166,82,20168,20170,20174,66,20172,66,774,20176,20178,82,532,20180,832,66,66,20184,20188,66,20186,66,83,20190,20196,66,20192,66,20194,66,67,20198,20212,66,20200,83,20202,20204,20206,66,66,20208,20210,66,67,1682,18984,20214,20222,66,20216,83,20218,20220,73,66,66,20224,20232,66,20226,66,20228,66,20230,66,75,20234,20352,83,20236,20238,20240,66,66,20242,20244,66,66,20246,20248,66,67,20250,20342,82,20252,20254,20256,66,778,1652,20258,20260,20264,58,20262,35,110,20266,20270,58,20268,35,111,20272,20276,58,20274,35,32,20278,20282,58,20280,35,105,20284,20288,58,20286,35,110,20290,20294,58,20292,35,115,20296,20300,58,20298,35,116,20302,20306,58,20304,35,97,20308,20312,58,20310,35,110,20314,20318,58,20316,35,99,20320,20324,58,20322,35,101,20326,20330,58,20328,35,115,20332,20336,58,20334,35,58,20338,75,58,20340,35,32,20344,20346,66,83,67,20348,3458,20350,924,878,20354,20356,66,67,20358,20144,66,19724,20362,20370,82,20364,20366,832,66,20368,66,774,20372,20374,66,83,20376,20380,66,20378,66,83,20382,20552,83,20384,20386,20388,66,83,20390,20394,66,20392,66,67,20396,20402,66,20398,66,20400,66,67,20404,20410,66,20406,66,20408,82,75,20412,20418,66,20414,66,20416,66,83,20420,20530,83,20422,20424,20426,66,83,20428,20432,66,20430,66,67,20434,20440,66,20436,66,20438,66,67,20442,20468,66,20444,66,20446,67,20448,20450,20452,66,67,20454,20456,82,75,20458,20460,66,83,20462,20464,82,75,20466,73,66,66,20470,20500,83,20472,20474,20476,66,67,20478,20482,66,20480,66,67,20484,20490,66,20486,66,20488,66,66,20492,20360,66,20494,66,20496,66,20498,802,2012,20502,20506,66,20504,66,84,20508,20526,66,20510,66,20512,66,20514,67,20516,20518,20522,66,20520,814,1966,20524,492,66,1024,20528,20360,66,67,20532,20360,66,20534,66,20536,67,20538,20540,20542,66,66,20544,20548,66,20546,814,1966,20550,454,66,1024,20554,20144,66,67,20558,20616,82,20560,20562,20604,83,20564,20566,20568,66,67,20570,20574,66,20572,66,66,20576,20580,66,20578,66,1018,20582,20586,66,20584,66,836,20588,20592,66,20590,67,832,20594,20600,66,20596,836,20598,35,42,20602,4082,82,75,20606,20610,66,20608,67,20556,20612,136,82,20614,35,1,20618,20620,66,83,20622,20626,82,20624,832,75,20628,73,66,66,20632,20640,66,20634,66,20636,66,20638,66,84,20642,20658,66,20644,66,20646,66,20648,67,20650,20652,20654,66,66,20656,73,66,66,20660,20702,66,20662,67,20664,20666,20668,66,83,20670,20674,66,20672,66,66,20676,20680,66,20678,66,67,20682,20688,66,20684,66,20686,66,66,20690,20696,66,20692,66,20694,66,66,20698,18638,66,20700,82,75,20704,20720,66,20706,66,20708,66,20710,66,20712,66,20714,67,20716,20718,73,66,66,20722,20876,66,20724,67,20726,20728,20730,66,67,20732,20736,66,20734,66,66,20738,20742,66,20740,66,66,20744,20748,66,20746,66,66,20750,20754,66,20752,66,66,20756,20760,66,20758,66,66,20762,20866,82,20764,20766,20768,66,778,1652,20770,20772,20776,58,20774,35,110,20778,20782,58,20780,35,111,20784,20788,58,20786,35,32,20790,20794,58,20792,35,115,20796,20800,58,20798,35,117,20802,20806,58,20804,35,99,20808,20812,58,20810,35,104,20814,20818,58,20816,35,32,20820,20824,58,20822,35,109,20826,20830,58,20828,35,101,20832,20836,58,20834,35,116,20838,20842,58,20840,35,104,20844,20848,58,20846,35,111,20850,20854,58,20852,35,100,20856,20860,58,20858,35,58,20862,75,58,20864,35,32,20868,20870,66,83,67,20872,3458,20874,924,878,20878,20900,66,20880,66,20882,66,20884,67,20886,20888,20890,66,66,20892,20894,66,66,20896,20898,66,67,67,17020,20902,20918,66,20904,66,20906,66,20908,66,20910,66,20912,67,20914,20916,73,66,66,20920,20936,66,20922,66,20924,66,20926,66,20928,66,20930,66,20932,66,20934,82,144,20938,20960,66,20940,66,20942,66,20944,66,20946,66,20948,66,20950,67,20952,20954,20956,66,66,20958,73,66,83,20962,20984,66,20964,66,20966,66,20968,66,20970,66,20972,66,20974,66,20976,66,20978,67,20980,20982,73,66,66,20986,21004,66,20988,66,20990,66,20992,66,20994,66,20996,66,20998,66,21000,66,21002,66,75,21006,21024,66,21008,66,21010,66,21012,66,21014,66,21016,66,21018,82,21020,21022,75,66,75,21026,21040,66,21028,66,21030,66,21032,66,21034,66,21036,66,21038,66,66,21042,21056,66,21044,66,21046,66,21048,66,21050,66,21052,66,21054,66,67,21058,21074,66,21060,66,21062,66,21064,66,21066,66,21068,66,21070,66,21072,66,67,21076,21096,66,21078,66,21080,66,21082,66,21084,66,21086,66,21088,66,21090,67,21092,21094,73,66,66,21098,21132,66,21100,66,21102,67,21104,21106,21108,66,66,21110,21112,66,66,21114,21116,66,66,21118,21120,66,66,21122,21124,66,67,21126,21130,66,21128,82,144,67,19198,21134,21196,66,21136,67,21138,21140,21142,66,66,21144,21146,66,66,21148,21150,66,67,21152,21156,66,21154,66,67,21158,21164,66,21160,66,21162,66,67,21166,21168,66,67,21170,21174,66,21172,66,67,21176,21182,66,21178,66,21180,66,17020,21184,21188,82,21186,67,16236,21190,21192,66,66,21194,400,66,66,21198,21206,66,21200,66,21202,66,21204,66,75,21208,21214,66,21210,66,21212,66,84,21216,21408,66,21218,67,21220,21222,21224,66,66,21226,21228,66,66,21230,21232,66,67,21234,19198,66,21236,82,21238,778,21240,21242,21246,58,21244,35,99,21248,21252,58,21250,35,108,21254,21258,58,21256,35,97,21260,21264,58,21262,35,115,21266,21270,58,21268,35,115,21272,21276,58,21274,35,47,21278,21282,58,21280,35,105,21284,21288,58,21286,35,110,21290,21294,58,21292,35,115,21296,21300,58,21298,35,116,21302,21306,58,21304,35,97,21308,21312,58,21310,35,110,21314,21318,58,21316,35,99,21320,21324,58,21322,35,101,21326,21330,58,21328,35,32,21332,21336,58,21334,35,116,21338,21342,58,21340,35,121,21344,21348,58,21346,35,112,21350,21354,58,21352,35,101,21356,21360,58,21358,35,32,21362,21366,58,21364,35,99,21368,21372,58,21370,35,111,21374,21378,58,21376,35,110,21380,21384,58,21382,35,102,21386,21390,58,21388,35,108,21392,21396,58,21394,35,105,21398,21402,58,21400,35,99,21404,75,58,21406,35,116,21410,21422,66,21412,66,21414,66,21416,66,21418,21420,1012,814,1966,21424,21428,82,21426,67,17094,21430,21432,66,66,21434,21436,66,67,21438,21442,66,21440,66,66,21444,21452,82,21446,21448,20556,82,21450,35,0,21454,20360,66,66,21458,21464,66,21460,66,21462,66,84,21466,21474,66,21468,66,21470,66,21472,66,84,21476,21490,66,21478,66,21480,66,21482,66,21484,83,21486,21488,73,66,66,21492,21644,66,21494,66,21496,66,21498,67,21500,21502,21504,66,66,21506,21508,66,66,21510,21512,66,67,21514,21518,66,21516,66,67,21520,21528,66,21522,66,21524,66,21526,814,1966,21530,21624,82,21532,21534,21568,66,21536,66,21538,832,21540,3690,21542,722,21544,21546,21550,58,21548,35,68,21552,21556,58,21554,35,73,21558,21562,58,21560,35,67,21564,75,58,21566,35,84,21570,21596,82,21572,21574,21584,66,21576,454,21578,21580,75,58,21582,35,64,21586,21588,1582,492,532,21590,21592,75,58,21594,35,64,21598,21600,66,66,21602,21608,66,21604,67,21606,1250,454,21610,21614,66,21612,1664,1012,21616,21618,66,1008,21620,20556,82,21622,35,0,21626,21628,66,66,21630,21632,66,67,21634,21638,66,21636,66,66,21640,19680,66,21642,66,832,21646,20630,66,21648,66,21650,66,21652,66,21654,21656,1966,1288,1980,21660,21706,66,21662,66,21664,83,21666,21668,73,82,21670,21672,21674,812,1856,532,21676,21678,21682,58,21680,35,106,21684,21688,58,21686,35,111,21690,21694,58,21692,35,105,21696,21700,58,21698,35,110,21702,75,58,21704,35,35,21708,21716,66,21710,66,21712,66,21714,66,75,21718,21724,66,21720,66,21722,66,84,21726,21734,66,21728,66,21730,66,21732,66,75,21736,21802,66,21738,66,21740,83,21742,21744,21746,66,83,21748,21750,66,84,21752,21756,66,21754,812,1856,21758,21798,66,21760,1532,21762,21764,21766,66,492,454,21768,21770,21774,58,21772,35,106,21776,21780,58,21778,35,111,21782,21786,58,21784,35,105,21788,21792,58,21790,35,110,21794,75,58,21796,35,35,21800,1012,814,1674,21804,21812,66,21806,66,21808,66,21810,66,75,21814,21822,66,21816,66,21818,66,21820,66,75,21824,21830,66,21826,66,21828,82,1274,21832,21838,66,21834,66,21836,66,66,21840,21852,66,21842,66,21844,66,21846,66,21848,21850,1946,802,1906,21854,21882,66,21856,66,21858,66,21860,83,21862,21864,21866,66,83,21868,21874,66,21870,66,21872,862,1906,21876,21880,66,21878,66,1952,67,136,21884,21916,66,21886,66,21888,82,21890,21892,21912,82,21894,21896,1756,66,21898,21900,21902,814,1674,21904,4082,82,21906,21908,75,58,21910,35,35,21914,1152,66,66,21918,21924,66,21920,66,21922,66,66,21926,21932,66,21928,66,21930,66,66,21934,21946,66,21936,66,21938,66,21940,83,21942,21944,73,82,144,21948,22150,83,21950,21952,21954,66,83,21956,21960,66,21958,66,67,21962,21968,66,21964,66,21966,66,66,21970,21976,66,21972,66,21974,66,66,21978,21984,66,21980,66,21982,66,67,21986,21996,66,21988,66,21990,66,21992,66,21994,802,1906,21998,22014,66,22000,66,22002,67,22004,22006,22008,66,66,67,22010,22012,1840,1288,1856,22016,22022,66,22018,66,22020,66,84,22024,22040,66,22026,66,22028,66,22030,67,22032,22034,22036,66,66,22038,73,82,144,22042,22062,66,22044,66,22046,66,22048,66,22050,67,22052,22054,22056,66,66,22058,832,66,22060,814,1840,22064,22070,66,22066,82,22068,67,1834,22072,22076,66,22074,66,66,22078,22082,66,22080,66,67,22084,22090,66,22086,66,22088,66,66,22092,22100,66,22094,66,22096,22098,1906,1352,1856,22102,22108,66,22104,66,22106,66,84,22110,22128,66,22112,82,22114,22116,22120,66,22118,82,75,22122,22126,66,22124,66,836,67,832,22130,22134,66,22132,66,66,22136,22140,66,22138,66,66,22142,22146,66,22144,66,67,66,22148,82,75,22152,22176,66,22154,66,22156,67,22158,22160,22162,66,66,22164,22166,66,66,22168,22172,66,22170,814,1840,67,22174,1250,454,66,22178,82,75,22182,22188,66,22184,66,22186,66,492,22190,22228,66,22192,66,22194,66,22196,454,22198,22200,22204,58,22202,35,106,22206,22210,58,22208,35,111,22212,22216,58,22214,35,105,22218,22222,58,22220,35,110,22224,75,58,22226,35,35,22230,22268,66,22232,66,22234,82,22236,532,22238,22240,22244,58,22242,35,106,22246,22250,58,22248,35,111,22252,22256,58,22254,35,105,22258,22262,58,22260,35,110,22264,75,58,22266,35,35,22270,22276,66,22272,66,22274,66,492,22278,22282,66,22280,66,492,22284,22304,66,22286,66,22288,492,22290,532,22292,22294,22298,58,22296,35,105,22300,75,58,22302,35,102,22306,22308,66,492,492,22310,532,22312,22314,22318,58,22316,35,61,22320,75,58,22322,35,61,22326,22324,83,22328,22330,22332,66,83,22334,22338,66,22336,66,67,22340,22346,66,22342,66,22344,66,67,22348,22958,66,22350,83,22352,22354,22356,66,83,22358,22362,66,22360,66,67,22364,22370,66,22366,66,22368,66,67,22372,22430,66,22374,66,22376,67,22378,22380,22382,66,66,22384,22386,66,83,22388,22426,82,22390,22392,73,82,22394,532,22396,22398,22402,58,22400,35,106,22404,22408,58,22406,35,111,22410,22414,58,22412,35,105,22416,22420,58,22418,35,110,22422,75,58,22424,35,35,22428,73,66,66,22432,22446,66,22434,66,22436,66,22438,66,22440,67,22442,22444,73,66,66,22448,22456,66,22450,66,22452,66,22454,66,67,22458,22468,66,22460,66,22462,66,22464,66,22466,66,67,22470,22478,66,22472,66,22474,66,22476,66,89,22480,22552,82,22482,22484,22490,66,22486,66,22488,66,67,22492,22500,66,22494,66,22496,66,22498,66,67,22502,22514,66,22504,67,22506,22508,22510,66,66,22512,66,66,66,67,22516,22518,22520,66,67,22522,22526,66,22524,66,67,22528,22544,66,22530,67,22532,22534,22536,66,66,22538,22542,3158,22540,924,878,67,66,22546,22550,66,22548,66,836,67,832,22554,22556,66,66,22558,22560,66,83,22562,22566,66,22564,66,67,22568,22574,66,22570,66,22572,66,67,22576,22584,66,22578,66,22580,66,22582,66,67,22586,22596,66,22588,66,22590,66,22592,66,22594,66,83,22598,22610,66,22600,66,22602,66,22604,66,22606,66,22608,66,83,22612,22764,83,22614,22616,22618,66,83,22620,22624,66,22622,66,83,22626,22632,66,22628,66,22630,66,66,22634,22640,66,22636,66,22638,66,67,22642,22650,66,22644,66,22646,66,22648,66,83,22652,22662,66,22654,66,22656,66,22658,66,22660,66,83,22664,22680,66,22666,66,22668,66,22670,67,22672,22674,22676,66,66,22678,73,66,66,22682,22686,66,22684,66,67,22688,22694,66,22690,66,22692,66,67,22696,22704,66,22698,66,22700,66,22702,66,67,22706,22718,66,22708,66,22710,66,22712,66,22714,66,22716,802,1906,22720,22724,82,22722,84,75,22726,22728,66,66,22730,22732,66,67,22734,22738,66,22736,66,66,22740,22744,66,22742,66,67,22746,22754,66,22748,66,22750,66,22752,814,1840,22756,22758,66,67,22760,532,66,22762,67,22180,22766,22948,66,22768,67,22770,22772,22774,66,67,22776,22780,66,22778,66,67,22782,22788,66,22784,66,22786,66,66,22790,22796,66,22792,66,22794,66,67,22798,22806,66,22800,66,22802,66,22804,66,66,22808,22816,66,22810,66,22812,66,22814,66,67,22818,22832,66,22820,82,22822,22824,22826,66,67,22828,67,66,22830,66,67,22834,22838,66,22836,66,66,22840,22844,66,22842,66,83,22846,22852,66,22848,66,22850,66,67,22854,22862,66,22856,66,22858,66,22860,66,83,22864,22876,66,22866,66,22868,66,22870,67,22872,22874,73,66,66,22878,22880,66,67,22882,22886,66,22884,66,67,22888,22896,66,22890,66,22892,66,22894,802,1906,22898,22946,66,22900,66,22902,67,22904,22906,22910,66,22908,814,1840,22912,22914,66,492,454,22916,22918,22922,58,22920,35,106,22924,22928,58,22926,35,111,22930,22934,58,22932,35,105,22936,22940,58,22938,35,110,22942,75,58,22944,35,35,84,75,22950,22952,66,67,22954,532,66,22956,67,8206,22960,22980,66,22962,66,22964,83,22966,22968,22970,66,83,22972,22976,82,22974,812,1856,22978,3660,66,66,22982,22992,66,22984,66,22986,66,22988,66,22990,66,75,22994,23002,66,22996,66,22998,66,23000,66,84,23004,23014,66,23006,66,23008,66,23010,66,23012,66,75,23016,23292,83,23018,23020,23022,66,67,23024,23028,66,23026,66,67,23030,23036,66,23032,66,23034,66,67,23038,23046,66,23040,66,23042,66,23044,66,66,23048,23142,82,23050,23052,23062,66,23054,66,23056,66,23058,66,23060,812,1856,23064,23066,66,67,23068,23072,66,23070,66,67,23074,23080,66,23076,66,23078,66,492,23082,23120,66,23084,66,23086,66,23088,454,23090,23092,23096,58,23094,35,106,23098,23102,58,23100,35,111,23104,23108,58,23106,35,105,23110,23114,58,23112,35,110,23116,75,58,23118,35,35,23122,23128,66,23124,66,23126,1582,492,23130,532,66,23132,67,23134,23136,23138,66,492,23140,3700,66,532,23144,23146,66,66,23148,23150,66,67,23152,23156,66,23154,66,66,23158,23162,66,23160,66,83,23164,23172,66,23166,66,23168,66,23170,802,1906,23174,23182,66,23176,66,23178,23180,1840,1288,1856,23184,23188,66,23186,66,84,23190,23280,66,23192,67,23194,23196,23198,66,67,23200,23204,66,23202,66,67,23206,23268,66,23208,82,23210,23212,23216,66,23214,812,1856,23218,23256,66,23220,23222,23224,1250,454,532,23226,23228,23232,58,23230,35,106,23234,23238,58,23236,35,111,23240,23244,58,23242,35,105,23246,23250,58,23248,35,110,23252,75,58,23254,35,35,23258,23260,814,1674,75,23262,23264,75,58,23266,35,95,23270,23274,66,23272,66,66,67,23276,3458,23278,924,878,23282,23286,82,23284,84,75,23288,23290,66,66,21658,22324,23294,23302,66,23296,66,23298,23300,73,1202,1476,67,23304,3458,23306,924,878,23310,23314,66,23312,66,84,23316,23318,66,67,23320,23324,66,23322,66,66,23326,23328,82,832,23330,814,66,66,23334,23458,82,23336,23338,23340,66,89,23342,23350,66,23344,66,23346,82,23348,75,144,23352,23428,66,23354,83,23356,23358,23360,66,67,23362,23416,83,23364,23366,23368,66,67,23370,23394,66,23372,67,23374,23376,23388,83,23378,23380,23382,83,73,23384,23386,66,75,812,1856,23390,23392,66,75,812,1856,23396,73,83,23398,23400,23402,66,67,23404,23408,66,23406,66,66,66,23410,23412,492,23414,1856,848,1840,67,23418,23420,23422,66,66,23424,454,66,23426,814,1840,23430,23456,66,23432,67,23434,23436,23438,66,67,23440,23446,66,23442,66,23444,802,1906,23448,23454,66,23450,23452,1840,1288,1856,23308,1840,21658,22324,23460,23462,66,66,23464,23514,66,23466,83,23468,23470,23472,66,67,23474,23476,66,84,23478,23480,66,84,23482,23488,66,23484,66,23486,66,778,23490,23498,66,23492,67,23494,23496,832,66,66,23500,23504,66,23502,66,15720,23506,23512,66,23508,82,23510,35,0,66,1940,23516,23520,66,23518,66,84,23522,23528,66,23524,66,23526,66,84,23530,23540,66,23532,66,23534,66,23536,66,23538,66,774,23542,23556,66,23544,66,23546,67,23548,23550,23552,66,66,23554,832,66,66,23558,23568,66,23560,66,23562,67,23564,23566,832,66,66,23570,23592,82,23572,23574,23576,66,1024,23578,23582,66,23580,66,15720,23584,23590,66,23586,82,23588,35,0,66,1940,23594,814,66,66,23598,23602,66,23600,66,84,23604,23728,82,23606,23608,23612,66,23610,66,84,23614,23624,66,23616,66,23618,67,23620,23622,73,66,66,23626,23634,66,23628,66,23630,66,23632,66,75,23636,23650,83,23638,23640,23642,66,66,23644,23646,66,66,23648,832,66,66,23652,23678,66,23654,67,23656,23658,23660,66,66,23662,23664,66,83,23666,23670,66,23668,66,832,67,23672,23674,23676,66,400,1664,1008,23680,23686,66,23682,82,23684,1664,1012,23688,23692,66,23690,66,83,23694,23702,66,23696,66,23698,66,23700,1250,454,23704,23706,66,67,23708,23724,82,23710,23712,23718,66,23714,67,23716,1582,492,1664,23720,23722,1012,66,532,23726,8018,66,66,23730,23732,66,66,23734,23736,66,66,23738,23740,66,67,23742,23750,66,23744,66,23746,67,23748,814,1966,23752,20360,82,23754,23756,23758,832,75,35,0,23762,23772,66,23764,66,23766,67,23768,23770,73,66,66,23774,23870,66,23776,66,23778,66,23780,83,23782,23784,23786,66,67,23788,23794,66,23790,66,23792,814,1966,23796,23800,66,23798,66,84,23802,23808,66,23804,66,23806,66,84,23810,23830,82,23812,23814,23822,82,23816,23818,832,66,23820,66,836,23824,23826,66,66,23828,66,66,66,23832,23834,66,66,23836,23838,66,83,23840,23844,66,23842,66,67,23846,23852,66,23848,66,23850,66,66,23854,23860,66,23856,66,23858,66,832,67,23862,23864,23866,66,67,2914,23868,924,878,23872,21456,83,23874,23876,23878,66,83,23880,23884,66,23882,66,67,23886,23892,66,23888,66,23890,66,83,23894,23904,66,23896,66,23898,67,23900,23902,73,66,66,23906,23912,66,23908,66,23910,66,84,23914,23982,82,23916,23918,23926,66,23920,66,23922,66,23924,66,1008,23928,23976,66,23930,82,23932,23934,23936,82,75,23938,23940,66,836,23942,832,82,23944,712,23946,23948,23952,58,23950,35,115,23954,23958,58,23956,35,101,23960,23964,58,23962,35,108,23966,23970,58,23968,35,102,23972,75,58,23974,35,33,23978,18638,66,23980,66,66,23984,23986,66,66,23988,23990,66,66,23992,23994,66,83,23996,23596,66,23998,66,66,24002,24014,82,24004,67,24006,24008,24012,66,24010,814,1674,23332,1674,24016,24018,66,66,24020,24022,66,83,24024,24028,66,24026,66,67,24030,24074,66,24032,82,24034,24036,24064,83,24038,24040,24042,66,832,24044,75,1250,24046,24048,73,82,24050,24052,24054,66,84,24056,24060,66,24058,66,75,2914,24062,924,878,24066,24068,66,1652,24070,24072,814,1674,1024,1012,24076,24080,66,24078,66,66,24082,23760,66,24084,66,24086,24088,2012,1352,1980,24092,84,66,24094,82,24090,24098,24100,82,24090,24102,73,82,1476,24106,24138,82,24108,24110,24118,66,24112,83,24114,24116,73,82,75,24120,24124,66,24122,66,75,24126,24130,66,24128,66,75,24132,24134,82,24104,24136,836,66,66,24140,73,82,146,24144,24152,66,24146,67,24148,24150,73,82,75,24154,24162,66,24156,67,24158,24160,1652,66,66,24164,1652,66,1676,24168,24388,82,24170,24172,24176,66,24174,82,144,24178,24278,82,24180,24182,24184,66,67,24186,24190,66,24188,66,67,24192,24202,66,24194,66,24196,82,24198,24200,75,66,75,24204,24210,66,24206,66,24208,66,83,24212,24218,66,24214,66,24216,82,75,24220,24226,66,24222,66,24224,66,83,24228,24240,66,24230,67,24232,24234,24236,66,66,24238,73,66,66,24242,24246,66,24244,66,67,24248,24272,66,24250,66,24252,67,24254,24256,24260,800,24258,1060,874,24262,24266,58,24264,35,45,24268,75,58,24270,35,62,24274,24166,66,24276,67,836,24280,24282,66,83,24284,24288,66,24286,66,83,24290,24294,66,24292,82,75,24296,24300,66,24298,66,83,24302,24380,82,24304,24306,24308,66,67,24310,24314,66,24312,82,73,24316,24320,66,24318,66,83,24322,24348,66,24324,67,24326,24328,24330,66,66,24332,24336,800,24334,1060,874,24338,24342,58,24340,35,73,24344,75,58,24346,35,79,24350,24356,82,24352,24354,75,66,75,24358,24360,66,83,24362,24364,82,75,24366,24368,66,66,24370,73,82,24372,24374,24376,82,75,24378,722,66,836,24382,24384,66,66,24386,73,66,66,24390,24400,82,24392,24394,24396,82,75,24398,712,66,836,24402,73,82,24404,24406,24408,82,75,24410,722,66,836,24414,24416,82,146,24418,24424,82,24420,24422,75,66,75,24426,24428,66,83,24430,24432,82,75,24434,24436,66,83,24438,24598,82,24440,24442,24492,66,24444,83,24446,24448,24474,82,24450,24452,24456,58,24454,35,118,24458,24462,58,24460,35,111,24464,24468,58,24466,35,105,24470,75,58,24472,35,100,24476,24480,800,24478,1060,874,24482,24486,58,24484,35,40,24488,75,58,24490,35,41,24494,24544,66,24496,83,24498,24500,24520,82,24502,24504,24508,58,24506,35,105,24510,24514,58,24512,35,110,24516,75,58,24518,35,116,24522,24526,800,24524,1060,874,24528,24532,58,24530,35,73,24534,24538,58,24536,35,110,24540,75,58,24542,35,116,67,24546,24548,24568,82,24550,24552,24556,58,24554,35,105,24558,24562,58,24560,35,110,24564,75,58,24566,35,116,24570,24574,800,24572,1060,874,24576,24580,58,24578,35,67,24582,24586,58,24584,35,104,24588,24592,58,24590,35,97,24594,75,58,24596,35,114,24600,73,66,66,24604,73,82,24606,24608,24610,82,24166,24612,24614,66,66,24616,24620,66,24618,66,1656,24622,24634,66,24624,83,24626,24628,24630,66,836,24632,24096,66,24412,24636,24648,66,24638,66,24640,836,24642,24644,75,58,24646,35,32,24650,24714,82,24652,24654,24664,66,24656,836,24658,24660,75,58,24662,35,40,24666,24690,82,24668,24670,75,836,24672,24674,24678,58,24676,35,41,24680,24684,58,24682,35,59,24686,75,58,24688,35,10,24692,24694,66,836,24696,24706,66,24698,24142,24700,24702,75,58,24704,35,44,24708,24104,66,24710,24712,24412,814,1674,24716,836,66,66,24720,24724,66,24722,82,144,24726,24770,83,24728,24730,24732,66,67,24734,24738,66,24736,66,83,24740,24744,66,24742,82,75,24746,24750,66,24748,66,66,24752,24754,66,84,24756,24762,66,24758,66,24760,832,75,67,24764,24766,24768,66,832,832,75,24772,24774,66,67,24776,24780,66,24778,66,67,24782,24932,83,24784,24786,24788,66,67,24790,24794,66,24792,66,83,24796,24802,66,24798,66,24800,66,83,24804,24810,66,24806,66,24808,82,75,24812,24818,66,24814,66,24816,66,83,24820,24832,66,24822,67,24824,24826,24828,66,66,24830,73,66,66,24834,24838,66,24836,66,67,24840,24846,66,24842,66,24844,82,73,24848,24854,66,24850,66,24852,66,83,24856,24884,66,24858,66,24860,67,24862,24864,24866,66,66,24868,24872,800,24870,1060,874,24874,24878,58,24876,35,73,24880,75,58,24882,35,79,24886,24894,66,24888,82,24890,24892,75,66,75,24896,24900,66,24898,66,83,24902,24906,66,24904,82,75,24908,24912,66,24910,66,66,24914,24916,66,84,24918,24924,66,24920,66,24922,832,75,67,24926,24928,24930,66,832,832,846,24934,24942,66,24936,66,24938,66,24940,66,75,24944,24948,66,24946,66,67,24950,24960,66,24952,66,24954,82,24956,24958,75,66,75,24962,24968,66,24964,66,24966,66,83,24970,24976,66,24972,66,24974,82,75,24978,24984,66,24980,66,24982,66,83,24986,24996,66,24988,66,24990,67,24992,24994,73,66,66,24998,25002,66,25000,66,67,25004,25028,66,25006,66,25008,67,25010,25012,25016,800,25014,1060,874,25018,25022,58,25020,35,45,25024,75,58,25026,35,62,25030,25118,83,25032,25034,25036,66,66,25038,25040,66,1018,25042,25044,66,1652,25046,25078,83,25048,25050,25052,66,1652,25054,25056,82,75,25058,25072,82,25060,25062,25066,58,25064,35,44,25068,75,58,25070,35,32,25074,25076,798,878,35,3,25080,25108,66,25082,1652,25084,25086,25090,58,25088,35,110,25092,25096,58,25094,35,117,25098,25102,58,25100,35,109,25104,75,58,25106,35,40,25110,4082,82,25112,25114,75,58,25116,35,41,25120,25122,66,24718,25124,136,82,25126,35,1,25130,25138,66,25132,67,25134,25136,73,82,73,25140,25148,66,25142,67,25144,25146,73,66,66,25150,25162,66,25152,66,25154,66,25156,67,25158,24718,25160,35,2,25164,25172,66,25166,66,25168,66,25170,66,84,25174,25188,66,25176,66,25178,66,25180,66,25182,67,25184,25186,73,66,66,25190,25430,66,25192,66,25194,66,25196,82,25198,25200,25250,66,25202,67,25204,25206,25208,66,83,25210,25246,82,25212,66,25214,1652,25216,25218,25222,58,25220,35,39,25224,25228,58,25226,35,73,25230,25234,58,25232,35,39,25236,25240,58,25238,35,44,25242,75,58,25244,35,32,25248,73,66,66,25252,25308,66,25254,66,25256,66,25258,1652,25260,25262,25266,58,25264,35,97,25268,25272,58,25270,35,112,25274,25278,58,25276,35,112,25280,25284,58,25282,35,40,25286,25290,58,25288,35,97,25292,25296,58,25294,35,114,25298,25302,58,25300,35,103,25304,75,58,25306,35,40,25310,25330,83,25312,25314,25316,66,66,25318,25320,66,66,25322,25324,66,4082,25326,136,82,25328,35,1,25332,25358,66,25334,66,25336,66,25338,1652,25340,25342,25346,58,25344,35,41,25348,25352,58,25350,35,44,25354,75,58,25356,35,32,25360,25364,66,25362,67,66,25366,25414,66,25368,66,25370,1652,25372,25374,25378,58,25376,35,41,25380,25384,58,25382,35,44,25386,25390,58,25388,35,32,25392,25396,58,25394,35,97,25398,25402,58,25400,35,114,25404,25408,58,25406,35,103,25410,75,58,25412,35,40,25416,25426,82,25418,1652,25420,25422,75,58,25424,35,41,25428,4082,66,66,25432,25440,66,25434,66,25436,66,25438,66,83,25442,25452,66,25444,66,25446,66,25448,66,25450,66,83,25454,25466,66,25456,66,25458,66,25460,66,25462,66,25464,66,67,25468,25650,66,25470,82,25472,25474,25634,82,25476,25478,25494,66,25480,66,25482,66,25484,66,25486,1652,25488,25490,75,58,25492,35,40,25496,25622,82,25498,25500,25526,66,25502,66,25504,66,25506,1652,25508,25510,25514,58,25512,35,41,25516,25520,58,25518,35,59,25522,75,58,25524,35,32,25528,25566,66,25530,66,25532,66,25534,1652,25536,25538,25542,58,25540,35,108,25544,25548,58,25546,35,97,25550,25554,58,25552,35,122,25556,25560,58,25558,35,121,25562,75,58,25564,35,40,25568,25586,66,25570,82,25572,1652,25574,25576,25580,58,25578,35,44,25582,75,58,25584,35,32,25588,25592,66,25590,66,66,25594,25598,66,25596,66,4082,25600,25616,83,25602,25604,25606,66,67,25608,25610,66,84,25612,134,82,25614,35,1,25618,136,82,25620,35,1,25624,25626,66,66,25628,25630,66,66,25632,1652,66,66,25636,25638,66,66,25640,25642,66,66,25644,25646,66,66,25648,1652,66,66,25652,25656,66,25654,66,66,25658,25662,66,25660,66,66,25664,25668,66,25666,66,66,25670,25674,66,25672,66,66,25676,25680,66,25678,66,67,25682,25688,66,25684,66,25686,66,67,25690,25734,66,25692,66,25694,66,25696,66,25698,66,25700,66,25702,1652,25704,25706,25710,58,25708,35,99,25712,25716,58,25714,35,97,25718,25722,58,25720,35,115,25724,25728,58,25726,35,101,25730,75,58,25732,35,32,25736,25758,83,25738,25740,25742,66,66,25744,25746,66,66,25748,25750,66,66,25752,25754,66,66,25756,4082,66,66,25760,25786,66,25762,66,25764,66,25766,66,25768,66,25770,66,25772,1652,25774,25776,25780,58,25778,35,58,25782,75,58,25784,35,32,25788,25972,83,25790,25792,25794,66,83,25796,25800,66,25798,66,67,25802,25808,66,25804,66,25806,66,83,25810,25818,66,25812,66,25814,66,25816,66,83,25820,25854,66,25822,66,25824,67,25826,25828,25830,66,66,25832,25834,66,66,25836,25850,82,25838,25840,25844,58,25842,35,40,25846,75,58,25848,35,41,800,25852,1060,874,25856,25864,66,25858,66,25860,66,25862,67,66,25866,25898,66,25868,66,25870,67,25872,25874,25876,66,66,84,25878,1652,25880,25882,25886,58,25884,35,39,25888,25892,58,25890,35,75,25894,75,58,25896,35,39,25900,25962,66,25902,66,25904,66,25906,1652,25908,25910,25914,58,25912,35,41,25916,25920,58,25918,35,59,25922,25926,58,25924,35,32,25928,25932,58,25930,35,98,25934,25938,58,25936,35,114,25940,25944,58,25942,35,101,25946,25950,58,25948,35,97,25952,25956,58,25954,35,107,25958,75,58,25960,35,59,25964,25966,66,25128,25968,134,82,25970,35,1,25974,26028,66,25976,66,25978,66,25980,66,25982,66,25984,1652,25986,25988,25992,58,25990,35,123,25994,25998,58,25996,35,117,26000,26004,58,26002,35,32,26006,26010,58,26008,35,114,26012,26016,58,26014,35,32,26018,26022,58,26020,35,61,26024,75,58,26026,35,32,26030,26038,66,26032,66,26034,66,26036,67,66,26040,26120,66,26042,66,26044,67,26046,26048,26050,66,66,84,26052,1652,26054,26056,26060,58,26058,35,97,26062,26066,58,26064,35,112,26068,26072,58,26070,35,112,26074,26078,58,26076,35,40,26080,26084,58,26082,35,39,26086,26090,58,26088,35,35,26092,26096,58,26094,35,39,26098,26102,58,26100,35,44,26104,26108,58,26106,35,32,26110,26114,58,26112,35,114,26116,75,58,26118,35,41,26122,26196,66,26124,66,26126,66,26128,1652,26130,26132,26136,58,26134,35,41,26138,26142,58,26140,35,59,26144,26148,58,26146,35,32,26150,26154,58,26152,35,98,26156,26160,58,26158,35,114,26162,26166,58,26164,35,101,26168,26172,58,26170,35,97,26174,26178,58,26176,35,107,26180,26184,58,26182,35,59,26186,26190,58,26188,35,125,26192,75,58,26194,35,10,26198,26200,66,25128,26202,134,82,26204,35,1,26208,26212,26210,826,802,1424,26214,26220,82,26216,26218,75,812,1400,26222,26232,83,26224,26226,26230,82,26228,35,255,798,878,26234,26236,82,26206,26238,26242,66,26240,814,1430,26244,73,66,836,26248,26410,82,26250,26252,73,82,26254,26256,26306,82,26258,26260,26262,66,778,1652,26264,26266,26270,58,26268,35,100,26272,26276,58,26274,35,114,26278,26282,58,26280,35,101,26284,26288,58,26286,35,103,26290,26294,58,26292,35,115,26296,26300,58,26298,35,58,26302,75,58,26304,35,32,26308,26310,66,83,26312,26322,66,26314,67,26316,26318,75,800,26320,1060,874,26324,26388,82,26326,26328,26352,66,26330,66,26332,66,26334,82,26336,26338,26344,66,26340,66,26342,66,774,26346,832,66,26348,66,26350,67,832,26354,26362,66,26356,66,26358,66,26360,66,66,26364,26372,66,26366,66,26368,66,26370,66,66,26374,26382,66,26376,66,26378,66,26380,82,778,26384,24000,66,26386,66,67,26390,26408,66,26392,26394,26396,1250,73,26398,75,26400,75,26402,75,26404,11622,26406,75,360,75,1652,11288,26412,11242,82,26414,778,26416,26418,26422,58,26420,35,112,26424,26428,58,26426,35,97,26430,26434,58,26432,35,114,26436,26440,58,26438,35,115,26442,26446,58,26444,35,101,26448,26452,58,26450,35,32,26454,26458,58,26456,35,101,26460,26464,58,26462,35,114,26466,26470,58,26468,35,114,26472,26476,58,26474,35,111,26478,75,58,26480,35,114,26484,26968,66,26486,1652,26488,26490,26494,58,26492,35,105,26496,26500,58,26498,35,110,26502,26506,58,26504,35,116,26508,26512,58,26510,35,32,26514,26518,58,26516,35,109,26520,26524,58,26522,35,97,26526,26530,58,26528,35,105,26532,26536,58,26534,35,110,26538,26542,58,26540,35,40,26544,26548,58,26546,35,105,26550,26554,58,26552,35,110,26556,26560,58,26558,35,116,26562,26566,58,26564,35,32,26568,26572,58,26570,35,97,26574,26578,58,26576,35,114,26580,26584,58,26582,35,103,26586,26590,58,26588,35,99,26592,26596,58,26594,35,44,26598,26602,58,26600,35,99,26604,26608,58,26606,35,104,26610,26614,58,26612,35,97,26616,26620,58,26618,35,114,26622,26626,58,26624,35,42,26628,26632,58,26630,35,42,26634,26638,58,26636,35,97,26640,26644,58,26642,35,114,26646,26650,58,26648,35,103,26652,26656,58,26654,35,118,26658,26662,58,26660,35,41,26664,26668,58,26666,35,123,26670,26674,58,26672,35,101,26676,26680,58,26678,35,110,26682,26686,58,26684,35,118,26688,26692,58,26690,35,95,26694,26698,58,26696,35,97,26700,26704,58,26702,35,114,26706,26710,58,26708,35,103,26712,26716,58,26714,35,99,26718,26722,58,26720,35,61,26724,26728,58,26726,35,97,26730,26734,58,26732,35,114,26736,26740,58,26738,35,103,26742,26746,58,26744,35,99,26748,26752,58,26750,35,59,26754,26758,58,26756,35,101,26760,26764,58,26762,35,110,26766,26770,58,26768,35,118,26772,26776,58,26774,35,95,26778,26782,58,26780,35,97,26784,26788,58,26786,35,114,26790,26794,58,26792,35,103,26796,26800,58,26798,35,118,26802,26806,58,26804,35,61,26808,26812,58,26810,35,97,26814,26818,58,26816,35,114,26820,26824,58,26822,35,103,26826,26830,58,26828,35,118,26832,26836,58,26834,35,59,26838,26842,58,26840,35,114,26844,26848,58,26846,35,116,26850,26854,58,26852,35,115,26856,26860,58,26858,35,95,26862,26866,58,26864,35,105,26868,26872,58,26870,35,110,26874,26878,58,26876,35,105,26880,26884,58,26882,35,116,26886,26890,58,26888,35,40,26892,26896,58,26894,35,41,26898,26902,58,26900,35,59,26904,26908,58,26906,35,114,26910,26914,58,26912,35,116,26916,26920,58,26918,35,115,26922,26926,58,26924,35,95,26928,26932,58,26930,35,114,26934,26938,58,26936,35,101,26940,26944,58,26942,35,100,26946,26950,58,26948,35,117,26952,26956,58,26954,35,99,26958,26962,58,26960,35,101,26964,75,58,26966,35,40,26970,4082,82,26972,26974,26978,58,26976,35,41,26980,26984,58,26982,35,59,26986,26990,58,26988,35,114,26992,26996,58,26994,35,101,26998,27002,58,27000,35,116,27004,27008,58,27006,35,117,27010,27014,58,27012,35,114,27016,27020,58,27018,35,110,27022,27026,58,27024,35,32,27028,27032,58,27030,35,48,27034,27038,58,27036,35,59,27040,27044,58,27042,35,125,27046,75,58,27048,35,10,27052,28652,82,27054,27056,73,82,27058,27060,28648,82,27062,27064,27066,66,75,27068,28644,82,27070,27072,28630,82,27074,27076,27118,66,27078,82,27080,27082,27088,66,27084,27086,26482,1202,75,27090,27094,3458,27092,924,878,27096,27100,58,27098,35,109,27102,27106,58,27104,35,97,27108,27112,58,27110,35,105,27114,75,58,27116,35,110,27120,27124,66,27122,66,83,27126,27132,66,27128,66,27130,66,67,27134,27158,83,27136,27138,27140,66,66,27142,27144,66,66,27146,27148,66,66,27150,27152,66,66,27154,27156,66,1652,1676,24602,27160,27418,66,27162,66,27164,66,27166,66,27168,66,27170,1652,27172,27174,27178,58,27176,35,115,27180,27184,58,27182,35,116,27186,27190,58,27188,35,97,27192,27196,58,27194,35,116,27198,27202,58,27200,35,105,27204,27208,58,27206,35,99,27210,27214,58,27212,35,32,27216,27220,58,27218,35,118,27222,27226,58,27224,35,111,27228,27232,58,27230,35,105,27234,27238,58,27236,35,100,27240,27244,58,27242,35,32,27246,27250,58,27248,35,102,27252,27256,58,27254,35,111,27258,27262,58,27260,35,114,27264,27268,58,27266,35,101,27270,27274,58,27272,35,105,27276,27280,58,27278,35,103,27282,27286,58,27284,35,110,27288,27292,58,27290,35,40,27294,27298,58,27296,35,117,27300,27304,58,27302,35,32,27306,27310,58,27308,35,110,27312,27316,58,27314,35,41,27318,27322,58,27320,35,32,27324,27328,58,27326,35,123,27330,27334,58,27332,35,10,27336,27340,58,27338,35,32,27342,27346,58,27344,35,32,27348,27352,58,27350,35,115,27354,27358,58,27356,35,119,27360,27364,58,27362,35,105,27366,27370,58,27368,35,116,27372,27376,58,27374,35,99,27378,27382,58,27380,35,104,27384,27388,58,27386,35,40,27390,27394,58,27392,35,110,27396,27400,58,27398,35,41,27402,27406,58,27404,35,32,27408,27412,58,27410,35,123,27414,75,58,27416,35,10,27420,28596,82,27422,27424,27476,66,27426,66,27428,66,27430,66,27432,1652,27434,27436,27440,58,27438,35,10,27442,27446,58,27444,35,32,27448,27452,58,27450,35,32,27454,27458,58,27456,35,125,27460,27464,58,27462,35,10,27466,27470,58,27468,35,125,27472,75,58,27474,35,10,27478,27626,66,27480,66,27482,66,27484,66,27486,1652,27488,27490,27494,58,27492,35,115,27496,27500,58,27498,35,116,27502,27506,58,27504,35,97,27508,27512,58,27510,35,116,27514,27518,58,27516,35,105,27520,27524,58,27522,35,99,27526,27530,58,27528,35,32,27532,27536,58,27534,35,99,27538,27542,58,27540,35,111,27544,27548,58,27546,35,110,27550,27554,58,27552,35,115,27556,27560,58,27558,35,116,27562,27566,58,27564,35,32,27568,27572,58,27570,35,117,27574,27578,58,27576,35,32,27580,27584,58,27582,35,112,27586,27590,58,27588,35,114,27592,27596,58,27594,35,111,27598,27602,58,27600,35,103,27604,27608,58,27606,35,91,27610,27614,58,27612,35,93,27616,27620,58,27618,35,61,27622,75,58,27624,35,123,27628,27668,66,27630,66,27632,67,27634,27636,27638,66,66,27640,27646,66,27642,27644,73,1250,66,27648,27664,66,27650,1664,27652,27654,27660,82,27656,836,27658,35,44,27662,4082,66,66,27666,1012,82,75,27670,28014,66,27672,66,27674,66,27676,1652,27678,27680,27684,58,27682,35,125,27686,27690,58,27688,35,59,27692,27696,58,27694,35,10,27698,27702,58,27700,35,115,27704,27708,58,27706,35,116,27710,27714,58,27712,35,97,27716,27720,58,27718,35,116,27722,27726,58,27724,35,105,27728,27732,58,27730,35,99,27734,27738,58,27736,35,32,27740,27744,58,27742,35,99,27746,27750,58,27748,35,111,27752,27756,58,27754,35,110,27758,27762,58,27760,35,115,27764,27768,58,27766,35,116,27770,27774,58,27772,35,32,27776,27780,58,27778,35,117,27782,27786,58,27784,35,32,27788,27792,58,27790,35,112,27794,27798,58,27796,35,114,27800,27804,58,27802,35,111,27806,27810,58,27808,35,103,27812,27816,58,27814,35,95,27818,27822,58,27820,35,115,27824,27828,58,27826,35,105,27830,27834,58,27832,35,122,27836,27840,58,27838,35,101,27842,27846,58,27844,35,61,27848,27852,58,27850,35,115,27854,27858,58,27856,35,105,27860,27864,58,27862,35,122,27866,27870,58,27868,35,101,27872,27876,58,27874,35,111,27878,27882,58,27880,35,102,27884,27888,58,27886,35,40,27890,27894,58,27892,35,112,27896,27900,58,27898,35,114,27902,27906,58,27904,35,111,27908,27912,58,27910,35,103,27914,27918,58,27916,35,41,27920,27924,58,27922,35,47,27926,27930,58,27928,35,115,27932,27936,58,27934,35,105,27938,27942,58,27940,35,122,27944,27948,58,27946,35,101,27950,27954,58,27952,35,111,27956,27960,58,27958,35,102,27962,27966,58,27964,35,40,27968,27972,58,27970,35,42,27974,27978,58,27976,35,112,27980,27984,58,27982,35,114,27986,27990,58,27988,35,111,27992,27996,58,27994,35,103,27998,28002,58,28000,35,41,28004,28008,58,28006,35,59,28010,75,58,28012,35,10,28016,28126,66,28018,66,28020,66,28022,1652,28024,28026,28030,58,28028,35,115,28032,28036,58,28034,35,116,28038,28042,58,28040,35,97,28044,28048,58,28046,35,116,28050,28054,58,28052,35,105,28056,28060,58,28058,35,99,28062,28066,58,28064,35,32,28068,28072,58,28070,35,117,28074,28078,58,28076,35,32,28080,28084,58,28082,35,114,28086,28090,58,28088,35,111,28092,28096,58,28094,35,111,28098,28102,58,28100,35,116,28104,28108,58,28106,35,91,28110,28114,58,28112,35,93,28116,28120,58,28118,35,61,28122,75,58,28124,35,123,28128,28216,83,28130,28132,28134,66,67,28136,28140,66,28138,66,66,67,28142,28144,28146,82,73,28148,28150,66,1250,28152,28160,66,28154,67,28156,28158,73,66,66,28162,28166,66,28164,66,75,28168,28186,82,28170,66,28172,1652,28174,28176,28180,58,28178,35,44,28182,75,58,28184,35,32,28188,28190,66,66,28192,28194,66,67,28196,28200,66,28198,66,66,28202,28210,66,28204,66,28206,28208,4082,1202,1476,67,28212,3458,28214,924,878,28218,28242,66,28220,66,28222,1652,28224,28226,28230,58,28228,35,125,28232,28236,58,28234,35,59,28238,75,58,28240,35,10,28244,28400,66,28246,66,28248,1652,28250,28252,28256,58,28254,35,115,28258,28262,58,28260,35,116,28264,28268,58,28266,35,97,28270,28274,58,28272,35,116,28276,28280,58,28278,35,105,28282,28286,58,28284,35,99,28288,28292,58,28290,35,32,28294,28298,58,28296,35,99,28300,28304,58,28302,35,111,28306,28310,58,28308,35,110,28312,28316,58,28314,35,115,28318,28322,58,28320,35,116,28324,28328,58,28326,35,32,28330,28334,58,28332,35,117,28336,28340,58,28338,35,32,28342,28346,58,28344,35,114,28348,28352,58,28350,35,111,28354,28358,58,28356,35,111,28360,28364,58,28362,35,116,28366,28370,58,28368,35,95,28372,28376,58,28374,35,115,28378,28382,58,28380,35,105,28384,28388,58,28386,35,122,28390,28394,58,28392,35,101,28396,75,58,28398,35,61,28402,28412,83,28404,28406,28408,66,66,28410,1274,66,4082,28414,28432,66,28416,66,28418,1652,28420,28422,28426,58,28424,35,59,28428,75,58,28430,35,10,28434,28440,66,28436,28438,73,1250,66,28442,28448,82,28444,1756,28446,35,0,1770,28450,28452,28456,66,28454,66,1652,28458,28512,66,28460,66,28462,1652,28464,28466,28470,58,28468,35,69,28472,28476,58,28474,35,88,28478,28482,58,28480,35,80,28484,28488,58,28486,35,79,28490,28494,58,28492,35,82,28496,28500,58,28498,35,84,28502,28506,58,28504,35,40,28508,75,58,28510,35,102,28514,28544,66,28516,83,28518,28520,28522,66,1652,28524,4082,82,28526,28528,28532,58,28530,35,44,28534,28538,58,28536,35,32,28540,75,58,28542,35,34,28546,28588,82,28548,28550,28572,66,28552,1652,28554,28556,28560,58,28558,35,34,28562,28566,58,28564,35,44,28568,75,58,28570,35,32,28574,4082,82,28576,28578,28582,58,28580,35,41,28584,75,58,28586,35,10,28590,28592,66,66,28594,1008,66,1652,28598,28600,66,66,28602,28604,66,66,28606,28608,66,66,28610,28612,66,66,28614,73,83,28616,28618,28620,66,25128,28622,28626,82,28624,35,1,28628,1274,66,134,28632,28634,66,66,28636,28638,66,66,28640,28642,66,16032,84,75,28646,73,66,66,28650,73,66,66,28654,26246,82,73,28658,28884,66,28660,67,28662,28664,28820,82,28666,28668,28674,83,28670,28672,73,82,144,28676,28680,66,28678,66,75,28682,1652,66,28684,67,28686,28688,28690,82,73,28692,28694,82,19386,28696,28818,82,28698,28700,28704,58,28702,35,58,28706,28710,58,28708,35,33,28712,28716,58,28714,35,35,28718,28722,58,28720,35,36,28724,28728,58,28726,35,37,28730,28734,58,28732,35,38,28736,28740,58,28738,35,42,28742,28746,58,28744,35,43,28748,28752,58,28750,35,46,28754,28758,58,28756,35,47,28760,28764,58,28762,35,60,28766,28770,58,28768,35,61,28772,28776,58,28774,35,62,28778,28782,58,28780,35,63,28784,28788,58,28786,35,64,28790,28794,58,28792,35,92,28796,28800,58,28798,35,94,28802,28806,58,28804,35,124,28808,28812,58,28810,35,45,28814,75,58,28816,35,126,1612,874,28822,73,82,28824,28826,28850,82,28828,28830,28838,66,28832,66,28834,836,28836,35,34,28840,28846,82,28842,836,28844,35,34,28848,1652,66,66,28852,28876,82,28854,28856,28864,66,28858,66,28860,836,28862,35,39,28866,28872,82,28868,836,28870,35,39,28874,836,66,66,28878,28880,82,4082,28882,73,82,836,28886,29110,66,28888,83,28890,28892,28894,66,83,28896,28904,66,28898,82,28900,28902,75,66,75,28906,28910,66,28908,66,83,28912,28916,66,28914,82,75,28918,28922,66,28920,66,83,28924,29102,82,28926,28928,28930,66,67,28932,28936,66,28934,82,75,28938,28942,66,28940,66,83,28944,28948,66,28946,82,75,28950,28954,66,28952,66,83,28956,28960,66,28958,82,75,28962,28966,66,28964,66,83,28968,28976,66,28970,67,28972,28974,73,66,66,28978,28980,66,67,28982,28986,66,28984,82,73,28988,28992,66,28990,66,83,28994,29008,66,28996,67,28998,29000,29002,66,66,29004,29006,800,874,35,70,29010,29016,82,29012,29014,75,66,75,29018,29020,66,83,29022,29024,82,75,29026,29028,66,83,29030,29098,82,29032,67,29034,29036,29038,82,75,29040,29042,66,83,29044,29046,82,75,29048,29050,66,83,29052,29054,82,75,29056,29058,66,66,29060,73,82,29062,29064,29094,66,29066,66,29068,1652,29070,29072,29076,58,29074,35,70,29078,29082,58,29080,35,70,29084,29088,58,29086,35,73,29090,75,58,29092,35,95,29096,73,66,4082,29100,73,66,66,29104,29106,66,66,29108,73,66,66,29112,29140,82,29114,29116,29130,82,29118,29120,29128,66,29122,66,29124,836,29126,35,32,28656,75,29132,29134,66,66,29136,29138,66,66,28656,846,29142,29144,66,66,29146,29148,66,66,29150,29152,82,73,29154,73,82,19386,29158,73,82,29160,29162,29214,82,29164,29166,29190,66,29168,66,29170,1652,29172,29174,29178,58,29176,35,32,29180,29184,58,29182,35,61,29186,75,58,29188,35,32,29192,29208,82,29194,1652,29196,29198,29202,58,29200,35,59,29204,75,58,29206,35,10,29210,29212,66,66,28656,846,29216,29218,66,66,29220,1652,66,66,29224,29260,82,29226,29228,73,82,29230,29232,29234,66,75,29236,73,82,29238,75,29240,29242,29248,66,29244,29246,75,1250,73,29250,29254,66,29252,1664,29156,29256,29258,66,15878,84,75,29262,26246,82,73,29266,73,82,29268,29270,29272,82,19404,29274,29276,66,66,29278,29280,66,66,29282,29288,66,29284,29286,73,1250,66,1664,19620,29292,29392,82,29294,29296,73,82,29298,29300,29302,66,75,29304,73,82,29306,29308,29310,66,75,29312,29318,66,29314,29316,73,82,75,29320,29326,66,29322,29324,73,1250,66,29328,3660,66,29330,1664,29332,29334,73,82,29336,29338,29384,82,29340,29342,29372,66,29344,66,29346,1652,29348,29350,29354,58,29352,35,32,29356,29360,58,29358,35,58,29362,29366,58,29364,35,58,29368,75,58,29370,35,32,29374,29380,82,29376,836,29378,35,10,29382,29264,66,66,29386,29388,66,66,29390,1652,66,66,29394,26246,82,73,29398,29414,83,29400,29402,29404,66,83,29406,29412,66,29408,66,29410,802,1424,67,816,29416,29442,66,29418,66,29420,83,29422,29424,29430,82,29426,29428,75,812,1400,29432,29436,82,29434,35,0,29438,73,66,29440,800,874,29444,29456,66,29446,66,29448,67,29450,29452,836,66,29454,814,1430,29458,29460,66,29396,29462,136,82,29464,35,1,29468,29472,29470,824,802,1424,29474,29486,66,29476,29478,29482,29480,1430,1288,1400,29396,29484,35,0,29488,29494,82,29490,1756,29492,35,1,29496,29498,66,1152,29500,134,82,29502,35,1,29506,29512,66,29508,29510,26206,802,1424,66,1438,29516,29520,29518,29466,802,1424,29522,29526,82,29524,29504,27050,29528,29616,82,29530,29532,29536,66,29534,66,75,29538,29578,66,29540,83,29542,29544,29548,82,29546,29504,29222,29550,29554,800,29552,1060,874,29556,29560,58,29558,35,99,29562,29566,58,29564,35,111,29568,29572,58,29570,35,109,29574,75,58,29576,35,98,67,29580,29582,29586,82,29584,29504,29290,29588,29592,800,29590,1060,874,29594,29598,58,29596,35,116,29600,29604,58,29602,35,121,29606,29610,58,29608,35,112,29612,75,58,29614,35,101,29618,73,66,83,};
static const u prog_size=sizeof(prog)/sizeof(*prog);
static u root[]={};
static const u root_size=0;
int main(int argc,char**argv){env_argc=argc;env_argv=argv;rts_init();rts_reduce(29514);return 0;}
